
# Data Propagation Report

- **STAT1** : Number of instructions that hit unique coverpoints and update the signature.
- **STAT2** : Number of instructions that hit covepoints which are not unique but still update the signature
- **STAT3** : Number of instructions that hit a unique coverpoint but do not update signature
- **STAT4** : Number of multiple signature updates for the same coverpoint
- **STAT5** : Number of times the signature was overwritten

| Param                     | Value    |
|---------------------------|----------|
| XLEN                      | 64      |
| TEST_REGION               | [('0x80000390', '0x80007420')]      |
| SIG_REGION                | [('0x80009010', '0x8000a540', '678 dwords')]      |
| COV_LABELS                | mulh      |
| TEST_NAME                 | /scratch/git-repo/incoresemi/temp/riscof_work/mulh-01.S/ref.S    |
| Total Number of coverpoints| 864     |
| Total Coverpoints Hit     | 858      |
| Total Signature Updates   | 677      |
| STAT1                     | 673      |
| STAT2                     | 4      |
| STAT3                     | 0     |
| STAT4                     | 0     |
| STAT5                     | 0     |

## Details for STAT2:

```
Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x8000089c]:mulh
      [0x800008a0]:sd
 -- Signature Address: 0x800091b8 Data: 0x0000000000000000
 -- Redundant Coverpoints hit by the op
      - opcode : mulh
      - rs1 : x10
      - rs2 : x11
      - rd : x12
      - rs1 != rs2  and rs1 != rd and rs2 != rd
      - rs1_val != rs2_val
      - rs2_val == 35184372088832
      - rs1_val == 64
      - rs1_val > 0 and rs2_val > 0




Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x800040b0]:mulh
      [0x800040b4]:sd
 -- Signature Address: 0x80009ce0 Data: 0x0000000000000000
 -- Redundant Coverpoints hit by the op
      - opcode : mulh
      - rs1 : x10
      - rs2 : x11
      - rd : x12
      - rs1 != rs2  and rs1 != rd and rs2 != rd
      - rs1_val != rs2_val
      - rs1_val==0 and rs2_val==6148914691236517205
      - rs2_val == 6148914691236517205
      - rs1_val == 0




Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x800073a0]:mulh
      [0x800073a4]:sd
 -- Signature Address: 0x8000a510 Data: 0x0000000000000000
 -- Redundant Coverpoints hit by the op
      - opcode : mulh
      - rs1 : x10
      - rs2 : x11
      - rd : x12
      - rs1 != rs2  and rs1 != rd and rs2 != rd
      - rs1_val != rs2_val
      - rs2_val == 131072
      - rs1_val == 35184372088832
      - rs1_val > 0 and rs2_val > 0




Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x80007414]:mulh
      [0x80007418]:sd
 -- Signature Address: 0x8000a530 Data: 0xffffffffffffffff
 -- Redundant Coverpoints hit by the op
      - opcode : mulh
      - rs1 : x10
      - rs2 : x11
      - rd : x12
      - rs1 != rs2  and rs1 != rd and rs2 != rd
      - rs1_val != rs2_val
      - rs2_val == 1048576
      - rs1_val < 0 and rs2_val > 0






```

## Details of STAT3

```


```

## Details of STAT4:

```

```

## Details of STAT5:



## Details of STAT1:

- The first column indicates the signature address and the data at that location in hexadecimal in the following format: 
  ```
  [Address]
  Data
  ```

- The second column captures all the coverpoints which have been captured by that particular signature location

- The third column captures all the insrtuctions since the time a coverpoint was
  hit to the point when a store to the signature was performed. Each line has
  the following format:
  ```
  [PC of instruction] : mnemonic
  ```
- The order in the table is based on the order of signatures occuring in the
  test. These need not necessarily be in increasing or decreasing order of the
  address in the signature region.

|s.no|            signature             |                                                                                                     coverpoints                                                                                                     |                   code                   |
|---:|----------------------------------|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|------------------------------------------|
|   1|[0x80009010]<br>0x0000000004000000|- opcode : mulh<br> - rs1 : x30<br> - rs2 : x30<br> - rd : x30<br> - rs1 == rs2 == rd<br> - rs2_val == 35184372088832<br> - rs1_val == 35184372088832<br> - rs1_val == rs2_val<br> - rs1_val > 0 and rs2_val > 0<br> |[0x800003a8]:mulh<br> [0x800003ac]:sd<br> |
|   2|[0x80009018]<br>0x0000000000000000|- rs1 : x10<br> - rs2 : x10<br> - rd : x20<br> - rs1 == rs2 != rd<br> - rs2_val == 16777216<br> - rs1_val == 16777216<br>                                                                                            |[0x800003b8]:mulh<br> [0x800003bc]:sd<br> |
|   3|[0x80009020]<br>0x0000000000000000|- rs1 : x18<br> - rs2 : x11<br> - rd : x18<br> - rs1 == rd != rs2<br> - rs1_val != rs2_val<br> - rs2_val == -5<br> - rs1_val < 0 and rs2_val < 0<br>                                                                 |[0x800003d4]:mulh<br> [0x800003d8]:sd<br> |
|   4|[0x80009028]<br>0x0000000000000000|- rs1 : x0<br> - rs2 : x12<br> - rd : x12<br> - rs2 == rd != rs1<br> - rs1_val==0 and rs2_val==6148914691236517205<br> - rs2_val == 6148914691236517205<br> - rs1_val == 0<br>                                       |[0x80000400]:mulh<br> [0x80000404]:sd<br> |
|   5|[0x80009030]<br>0x0000001000000000|- rs1 : x28<br> - rs2 : x4<br> - rd : x31<br> - rs1 != rs2  and rs1 != rd and rs2 != rd<br> - rs2_val == 1125899906842624<br> - rs1_val == 1125899906842624<br>                                                      |[0x80000418]:mulh<br> [0x8000041c]:sd<br> |
|   6|[0x80009038]<br>0xd555555555555555|- rs1 : x19<br> - rs2 : x18<br> - rd : x15<br> - rs2_val == -9223372036854775808<br> - rs1_val > 0 and rs2_val < 0<br> - rs2_val == (-2**(xlen-1))<br>                                                               |[0x80000448]:mulh<br> [0x8000044c]:sd<br> |
|   7|[0x80009040]<br>0x0000000000000000|- rs1 : x17<br> - rs2 : x16<br> - rd : x2<br> - rs1_val == 524288<br> - rs2_val == 0<br>                                                                                                                             |[0x80000458]:mulh<br> [0x8000045c]:sd<br> |
|   8|[0x80009048]<br>0x00000000000000ff|- rs1 : x1<br> - rs2 : x9<br> - rd : x8<br> - rs2_val == 9223372036854775807<br> - rs1_val == 512<br> - rs2_val == (2**(xlen-1)-1)<br>                                                                               |[0x80000470]:mulh<br> [0x80000474]:sd<br> |
|   9|[0x80009050]<br>0xffffffffffffffff|- rs1 : x31<br> - rs2 : x24<br> - rd : x4<br> - rs1_val == -70368744177665<br> - rs2_val == 1<br> - rs1_val < 0 and rs2_val > 0<br>                                                                                  |[0x80000488]:mulh<br> [0x8000048c]:sd<br> |
|  10|[0x80009058]<br>0xfffffffffc000000|- rs1 : x15<br> - rs2 : x22<br> - rd : x27<br> - rs2_val == 134217728<br> - rs1_val == -9223372036854775808<br> - rs1_val == (-2**(xlen-1))<br>                                                                      |[0x8000049c]:mulh<br> [0x800004a0]:sd<br> |
|  11|[0x80009060]<br>0x0000000000000000|- rs1 : x6<br> - rs2 : x29<br> - rd : x11<br> - rs2_val == 524288<br>                                                                                                                                                |[0x800004ac]:mulh<br> [0x800004b0]:sd<br> |
|  12|[0x80009068]<br>0x000000001fffffff|- rs1 : x22<br> - rs2 : x5<br> - rd : x24<br> - rs1_val == 9223372036854775807<br> - rs2_val == 1073741824<br> - rs1_val == (2**(xlen-1)-1)<br>                                                                      |[0x800004c4]:mulh<br> [0x800004c8]:sd<br> |
|  13|[0x80009070]<br>0x0000000000000000|- rs1 : x26<br> - rs2 : x27<br> - rd : x9<br> - rs1_val == 1<br>                                                                                                                                                     |[0x800004e0]:mulh<br> [0x800004e4]:sd<br> |
|  14|[0x80009078]<br>0xffffffffffffffff|- rs1 : x11<br> - rs2 : x2<br> - rd : x3<br> - rs1_val == -129<br> - rs2_val == 2<br>                                                                                                                                |[0x800004f0]:mulh<br> [0x800004f4]:sd<br> |
|  15|[0x80009080]<br>0x0000000000000000|- rs1 : x7<br> - rs2 : x3<br> - rd : x16<br> - rs2_val == 4<br>                                                                                                                                                      |[0x80000500]:mulh<br> [0x80000504]:sd<br> |
|  16|[0x80009088]<br>0xffffffffffffffff|- rs1 : x12<br> - rs2 : x7<br> - rd : x28<br> - rs1_val == -1048577<br> - rs2_val == 8<br>                                                                                                                           |[0x80000514]:mulh<br> [0x80000518]:sd<br> |
|  17|[0x80009090]<br>0xffffffffffffffff|- rs1 : x3<br> - rs2 : x26<br> - rd : x29<br> - rs1_val == -4194305<br> - rs2_val == 16<br>                                                                                                                          |[0x80000528]:mulh<br> [0x8000052c]:sd<br> |
|  18|[0x80009098]<br>0xffffffffffffffff|- rs1 : x9<br> - rs2 : x31<br> - rd : x19<br> - rs1_val == -17592186044417<br> - rs2_val == 32<br>                                                                                                                   |[0x80000540]:mulh<br> [0x80000544]:sd<br> |
|  19|[0x800090a0]<br>0xffffffffffffffe0|- rs1 : x27<br> - rs2 : x15<br> - rd : x13<br> - rs2_val == 64<br>                                                                                                                                                   |[0x80000554]:mulh<br> [0x80000558]:sd<br> |
|  20|[0x800090a8]<br>0x0000000000000008|- rs1 : x25<br> - rs2 : x20<br> - rd : x21<br> - rs2_val == 128<br> - rs1_val == 1152921504606846976<br>                                                                                                             |[0x80000568]:mulh<br> [0x8000056c]:sd<br> |
|  21|[0x800090b0]<br>0x0000000000000000|- rs1 : x2<br> - rs2 : x0<br> - rd : x1<br> - rs1_val == -67108865<br>                                                                                                                                               |[0x80000584]:mulh<br> [0x80000588]:sd<br> |
|  22|[0x800090b8]<br>0x0000000000000008|- rs1 : x20<br> - rs2 : x6<br> - rd : x26<br> - rs2_val == 512<br> - rs1_val == 288230376151711744<br>                                                                                                               |[0x80000598]:mulh<br> [0x8000059c]:sd<br> |
|  23|[0x800090c0]<br>0x0000000000000000|- rs1 : x21<br> - rs2 : x13<br> - rd : x7<br> - rs2_val == 1024<br> - rs1_val == 16<br>                                                                                                                              |[0x800005a8]:mulh<br> [0x800005ac]:sd<br> |
|  24|[0x800090c8]<br>0xffffffffffffffff|- rs1 : x23<br> - rs2 : x17<br> - rd : x14<br> - rs1_val == -1073741825<br> - rs2_val == 2048<br>                                                                                                                    |[0x800005c0]:mulh<br> [0x800005c4]:sd<br> |
|  25|[0x800090d0]<br>0xffffffffffffffff|- rs1 : x16<br> - rs2 : x23<br> - rd : x17<br> - rs1_val == -549755813889<br> - rs2_val == 4096<br>                                                                                                                  |[0x800005d8]:mulh<br> [0x800005dc]:sd<br> |
|  26|[0x800090d8]<br>0x0000000000000aaa|- rs1 : x29<br> - rs2 : x21<br> - rd : x25<br> - rs2_val == 8192<br> - rs1_val == 6148914691236517205<br>                                                                                                            |[0x80000604]:mulh<br> [0x80000608]:sd<br> |
|  27|[0x800090e0]<br>0xffffffffffffffff|- rs1 : x24<br> - rs2 : x14<br> - rd : x22<br> - rs1_val == -562949953421313<br> - rs2_val == 16384<br>                                                                                                              |[0x8000061c]:mulh<br> [0x80000620]:sd<br> |
|  28|[0x800090e8]<br>0x0000000000000000|- rs1 : x13<br> - rs2 : x8<br> - rd : x10<br> - rs2_val == 32768<br> - rs1_val == 2<br>                                                                                                                              |[0x8000062c]:mulh<br> [0x80000630]:sd<br> |
|  29|[0x800090f0]<br>0xffffffffffffffff|- rs1 : x5<br> - rs2 : x25<br> - rd : x23<br> - rs1_val == -8589934593<br> - rs2_val == 65536<br>                                                                                                                    |[0x80000644]:mulh<br> [0x80000648]:sd<br> |
|  30|[0x800090f8]<br>0x0000000000001000|- rs1 : x4<br> - rs2 : x1<br> - rd : x6<br> - rs2_val == 262144<br>                                                                                                                                                  |[0x80000658]:mulh<br> [0x8000065c]:sd<br> |
|  31|[0x80009100]<br>0x0000000000000000|- rs1 : x8<br> - rs2 : x28<br> - rd : x0<br> - rs2_val == 1048576<br>                                                                                                                                                |[0x80000668]:mulh<br> [0x8000066c]:sd<br> |
|  32|[0x80009108]<br>0x0000000000000000|- rs1 : x14<br> - rs2 : x19<br> - rd : x5<br> - rs2_val == 2097152<br> - rs1_val == 64<br>                                                                                                                           |[0x80000678]:mulh<br> [0x8000067c]:sd<br> |
|  33|[0x80009110]<br>0x0000000000000000|- rs2_val == 4194304<br> - rs1_val == 34359738368<br>                                                                                                                                                                |[0x8000068c]:mulh<br> [0x80000690]:sd<br> |
|  34|[0x80009118]<br>0xfffffffffffbffff|- rs1_val == -576460752303423489<br> - rs2_val == 8388608<br>                                                                                                                                                        |[0x800006a4]:mulh<br> [0x800006a8]:sd<br> |
|  35|[0x80009120]<br>0x0000000000000000|- rs1_val == 549755813888<br>                                                                                                                                                                                        |[0x800006b8]:mulh<br> [0x800006bc]:sd<br> |
|  36|[0x80009128]<br>0xffffffffffffffff|- rs1_val == -17<br> - rs2_val == 33554432<br>                                                                                                                                                                       |[0x800006c8]:mulh<br> [0x800006cc]:sd<br> |
|  37|[0x80009130]<br>0x0000000000800000|- rs2_val == 67108864<br> - rs1_val == 2305843009213693952<br>                                                                                                                                                       |[0x800006dc]:mulh<br> [0x800006e0]:sd<br> |
|  38|[0x80009138]<br>0xffffffffffffffff|- rs1_val == -536870913<br> - rs2_val == 268435456<br>                                                                                                                                                               |[0x800006f0]:mulh<br> [0x800006f4]:sd<br> |
|  39|[0x80009140]<br>0x000000000aaaaaaa|- rs2_val == 536870912<br>                                                                                                                                                                                           |[0x8000071c]:mulh<br> [0x80000720]:sd<br> |
|  40|[0x80009148]<br>0x0000000000000000|- rs2_val == 2147483648<br>                                                                                                                                                                                          |[0x80000730]:mulh<br> [0x80000734]:sd<br> |
|  41|[0x80009150]<br>0xffffffffff7fffff|- rs1_val == -36028797018963969<br> - rs2_val == 4294967296<br>                                                                                                                                                      |[0x8000074c]:mulh<br> [0x80000750]:sd<br> |
|  42|[0x80009158]<br>0x0000000001000000|- rs2_val == 8589934592<br> - rs1_val == 36028797018963968<br>                                                                                                                                                       |[0x80000764]:mulh<br> [0x80000768]:sd<br> |
|  43|[0x80009160]<br>0x0000000000000000|- rs2_val == 17179869184<br>                                                                                                                                                                                         |[0x80000778]:mulh<br> [0x8000077c]:sd<br> |
|  44|[0x80009168]<br>0xfffffffffdffffff|- rs1_val == -18014398509481985<br> - rs2_val == 34359738368<br>                                                                                                                                                     |[0x80000794]:mulh<br> [0x80000798]:sd<br> |
|  45|[0x80009170]<br>0x0000000000080000|- rs2_val == 68719476736<br> - rs1_val == 140737488355328<br>                                                                                                                                                        |[0x800007ac]:mulh<br> [0x800007b0]:sd<br> |
|  46|[0x80009178]<br>0x0000000000000200|- rs2_val == 137438953472<br> - rs1_val == 68719476736<br>                                                                                                                                                           |[0x800007c4]:mulh<br> [0x800007c8]:sd<br> |
|  47|[0x80009180]<br>0xffffffffffffffff|- rs2_val == 274877906944<br>                                                                                                                                                                                        |[0x800007d8]:mulh<br> [0x800007dc]:sd<br> |
|  48|[0x80009188]<br>0x0000000000080000|- rs2_val == 549755813888<br> - rs1_val == 17592186044416<br>                                                                                                                                                        |[0x800007f0]:mulh<br> [0x800007f4]:sd<br> |
|  49|[0x80009190]<br>0x00000000000000b5|- rs2_val == 1099511627776<br>                                                                                                                                                                                       |[0x80000810]:mulh<br> [0x80000814]:sd<br> |
|  50|[0x80009198]<br>0xfffffffffffffffe|- rs1_val == -8388609<br> - rs2_val == 2199023255552<br>                                                                                                                                                             |[0x80000828]:mulh<br> [0x8000082c]:sd<br> |
|  51|[0x800091a0]<br>0x0000000000010000|- rs2_val == 4398046511104<br> - rs1_val == 274877906944<br>                                                                                                                                                         |[0x80000840]:mulh<br> [0x80000844]:sd<br> |
|  52|[0x800091a8]<br>0x0000000000800000|- rs2_val == 8796093022208<br>                                                                                                                                                                                       |[0x80000858]:mulh<br> [0x8000085c]:sd<br> |
|  53|[0x800091b0]<br>0x0000033333333333|- rs2_val == 17592186044416<br>                                                                                                                                                                                      |[0x80000888]:mulh<br> [0x8000088c]:sd<br> |
|  54|[0x800091c0]<br>0xfffffffffffbffff|- rs1_val == -68719476737<br> - rs2_val == 70368744177664<br>                                                                                                                                                        |[0x800008b8]:mulh<br> [0x800008bc]:sd<br> |
|  55|[0x800091c8]<br>0xfffffffffeffffff|- rs1_val == -2199023255553<br> - rs2_val == 140737488355328<br>                                                                                                                                                     |[0x800008d4]:mulh<br> [0x800008d8]:sd<br> |
|  56|[0x800091d0]<br>0xfffffffffffffffd|- rs1_val == -131073<br> - rs2_val == 281474976710656<br>                                                                                                                                                            |[0x800008ec]:mulh<br> [0x800008f0]:sd<br> |
|  57|[0x800091d8]<br>0xfffffffffffffeff|- rs2_val == 562949953421312<br>                                                                                                                                                                                     |[0x80000904]:mulh<br> [0x80000908]:sd<br> |
|  58|[0x800091e0]<br>0x0000000000040000|- rs2_val == 2251799813685248<br> - rs1_val == 2147483648<br>                                                                                                                                                        |[0x8000091c]:mulh<br> [0x80000920]:sd<br> |
|  59|[0x800091e8]<br>0xffffffffffffffff|- rs1_val == -2<br> - rs2_val == 4503599627370496<br>                                                                                                                                                                |[0x80000930]:mulh<br> [0x80000934]:sd<br> |
|  60|[0x800091f0]<br>0x0000000000000000|- rs2_val == 9007199254740992<br> - rs1_val == 256<br>                                                                                                                                                               |[0x80000944]:mulh<br> [0x80000948]:sd<br> |
|  61|[0x800091f8]<br>0x0000000000000000|- rs2_val == 18014398509481984<br>                                                                                                                                                                                   |[0x80000958]:mulh<br> [0x8000095c]:sd<br> |
|  62|[0x80009200]<br>0x0000000000000040|- rs2_val == 36028797018963968<br> - rs1_val == 32768<br>                                                                                                                                                            |[0x8000096c]:mulh<br> [0x80000970]:sd<br> |
|  63|[0x80009208]<br>0xffffffffffffffff|- rs2_val == 72057594037927936<br>                                                                                                                                                                                   |[0x80000980]:mulh<br> [0x80000984]:sd<br> |
|  64|[0x80009210]<br>0x0020000000000000|- rs2_val == 144115188075855872<br>                                                                                                                                                                                  |[0x80000998]:mulh<br> [0x8000099c]:sd<br> |
|  65|[0x80009218]<br>0x0000000000001000|- rs2_val == 288230376151711744<br> - rs1_val == 262144<br>                                                                                                                                                          |[0x800009ac]:mulh<br> [0x800009b0]:sd<br> |
|  66|[0x80009220]<br>0xffffffffffffffff|- rs2_val == 576460752303423488<br>                                                                                                                                                                                  |[0x800009c0]:mulh<br> [0x800009c4]:sd<br> |
|  67|[0x80009228]<br>0x0000000000000000|- rs2_val == 1152921504606846976<br>                                                                                                                                                                                 |[0x800009d4]:mulh<br> [0x800009d8]:sd<br> |
|  68|[0x80009230]<br>0x0000000000800000|- rs2_val == 2305843009213693952<br> - rs1_val == 67108864<br>                                                                                                                                                       |[0x800009e8]:mulh<br> [0x800009ec]:sd<br> |
|  69|[0x80009238]<br>0xffffffffffffbfff|- rs1_val == -65537<br> - rs2_val == 4611686018427387904<br>                                                                                                                                                         |[0x80000a00]:mulh<br> [0x80000a04]:sd<br> |
|  70|[0x80009240]<br>0xffffffffffffffff|- rs2_val == -2<br> - rs1_val == 131072<br>                                                                                                                                                                          |[0x80000a10]:mulh<br> [0x80000a14]:sd<br> |
|  71|[0x80009248]<br>0xffffffffffffffff|- rs2_val == -3<br>                                                                                                                                                                                                  |[0x80000a24]:mulh<br> [0x80000a28]:sd<br> |
|  72|[0x80009250]<br>0xffffffffffffffff|- rs2_val == -9<br>                                                                                                                                                                                                  |[0x80000a38]:mulh<br> [0x80000a3c]:sd<br> |
|  73|[0x80009258]<br>0xffffffffffffffff|- rs2_val == -17<br> - rs1_val == 137438953472<br>                                                                                                                                                                   |[0x80000a4c]:mulh<br> [0x80000a50]:sd<br> |
|  74|[0x80009260]<br>0x0000000000000000|- rs2_val == -33<br> - rs1_val == -524289<br>                                                                                                                                                                        |[0x80000a60]:mulh<br> [0x80000a64]:sd<br> |
|  75|[0x80009268]<br>0x0000000000000000|- rs2_val == -65<br> - rs1_val == -1099511627777<br>                                                                                                                                                                 |[0x80000a78]:mulh<br> [0x80000a7c]:sd<br> |
|  76|[0x80009270]<br>0xffffffffffffffff|- rs2_val == -129<br>                                                                                                                                                                                                |[0x80000a88]:mulh<br> [0x80000a8c]:sd<br> |
|  77|[0x80009278]<br>0x0000000000000000|- rs2_val == -257<br>                                                                                                                                                                                                |[0x80000a9c]:mulh<br> [0x80000aa0]:sd<br> |
|  78|[0x80009280]<br>0x0000000000000000|- rs2_val == -513<br>                                                                                                                                                                                                |[0x80000ab4]:mulh<br> [0x80000ab8]:sd<br> |
|  79|[0x80009288]<br>0xffffffffffffffff|- rs2_val == -1025<br> - rs1_val == 2251799813685248<br>                                                                                                                                                             |[0x80000ac8]:mulh<br> [0x80000acc]:sd<br> |
|  80|[0x80009290]<br>0xfffffffffffffccc|- rs2_val == -2049<br>                                                                                                                                                                                               |[0x80000af8]:mulh<br> [0x80000afc]:sd<br> |
|  81|[0x80009298]<br>0xfffffffffffffaaa|- rs2_val == -4097<br>                                                                                                                                                                                               |[0x80000b28]:mulh<br> [0x80000b2c]:sd<br> |
|  82|[0x800092a0]<br>0x0000000000000000|- rs2_val == -8193<br>                                                                                                                                                                                               |[0x80000b44]:mulh<br> [0x80000b48]:sd<br> |
|  83|[0x800092a8]<br>0xfffffffffffffeff|- rs2_val == -16385<br>                                                                                                                                                                                              |[0x80000b5c]:mulh<br> [0x80000b60]:sd<br> |
|  84|[0x800092b0]<br>0x0000000000000000|- rs2_val == -32769<br> - rs1_val == -513<br>                                                                                                                                                                        |[0x80000b70]:mulh<br> [0x80000b74]:sd<br> |
|  85|[0x800092b8]<br>0x0000000000000004|- rs2_val == -65537<br> - rs1_val == -1125899906842625<br>                                                                                                                                                           |[0x80000b8c]:mulh<br> [0x80000b90]:sd<br> |
|  86|[0x800092c0]<br>0xffffffffffffff7f|- rs2_val == -131073<br> - rs1_val == 18014398509481984<br>                                                                                                                                                          |[0x80000ba4]:mulh<br> [0x80000ba8]:sd<br> |
|  87|[0x800092c8]<br>0xfffffffffffffff7|- rs2_val == -262145<br> - rs1_val == 562949953421312<br>                                                                                                                                                            |[0x80000bbc]:mulh<br> [0x80000bc0]:sd<br> |
|  88|[0x800092d0]<br>0xffffffffffffffff|- rs2_val == -524289<br>                                                                                                                                                                                             |[0x80000bd4]:mulh<br> [0x80000bd8]:sd<br> |
|  89|[0x800092d8]<br>0x0000000000000000|- rs2_val == -1048577<br>                                                                                                                                                                                            |[0x80000bec]:mulh<br> [0x80000bf0]:sd<br> |
|  90|[0x800092e0]<br>0xffffffffffffffff|- rs2_val == -2097153<br> - rs1_val == 8388608<br>                                                                                                                                                                   |[0x80000c00]:mulh<br> [0x80000c04]:sd<br> |
|  91|[0x800092e8]<br>0x0000000000000100|- rs2_val == -4194305<br>                                                                                                                                                                                            |[0x80000c1c]:mulh<br> [0x80000c20]:sd<br> |
|  92|[0x800092f0]<br>0x0000000000000000|- rs2_val == -8388609<br>                                                                                                                                                                                            |[0x80000c34]:mulh<br> [0x80000c38]:sd<br> |
|  93|[0x800092f8]<br>0x0000000000000000|- rs2_val == -16777217<br>                                                                                                                                                                                           |[0x80000c54]:mulh<br> [0x80000c58]:sd<br> |
|  94|[0x80009300]<br>0xffffffffff555555|- rs2_val == -33554433<br>                                                                                                                                                                                           |[0x80000c84]:mulh<br> [0x80000c88]:sd<br> |
|  95|[0x80009308]<br>0xffffffffffffffff|- rs2_val == -67108865<br> - rs1_val == 4<br>                                                                                                                                                                        |[0x80000c98]:mulh<br> [0x80000c9c]:sd<br> |
|  96|[0x80009310]<br>0x0000000000000001|- rs2_val == -134217729<br> - rs1_val == -137438953473<br>                                                                                                                                                           |[0x80000cb4]:mulh<br> [0x80000cb8]:sd<br> |
|  97|[0x80009318]<br>0x0000000000000000|- rs2_val == -268435457<br>                                                                                                                                                                                          |[0x80000cd4]:mulh<br> [0x80000cd8]:sd<br> |
|  98|[0x80009320]<br>0x0000000000000000|- rs2_val == -536870913<br> - rs1_val == -4294967297<br>                                                                                                                                                             |[0x80000cf0]:mulh<br> [0x80000cf4]:sd<br> |
|  99|[0x80009328]<br>0x0000000000000000|- rs2_val == -1073741825<br>                                                                                                                                                                                         |[0x80000d04]:mulh<br> [0x80000d08]:sd<br> |
| 100|[0x80009330]<br>0x0000000000000000|- rs2_val == -2147483649<br>                                                                                                                                                                                         |[0x80000d20]:mulh<br> [0x80000d24]:sd<br> |
| 101|[0x80009338]<br>0x0000000000020000|- rs2_val == -4294967297<br>                                                                                                                                                                                         |[0x80000d40]:mulh<br> [0x80000d44]:sd<br> |
| 102|[0x80009340]<br>0xffffffffbfffffff|- rs2_val == -8589934593<br>                                                                                                                                                                                         |[0x80000d5c]:mulh<br> [0x80000d60]:sd<br> |
| 103|[0x80009348]<br>0x0000000000000080|- rs2_val == -34359738369<br>                                                                                                                                                                                        |[0x80000d7c]:mulh<br> [0x80000d80]:sd<br> |
| 104|[0x80009350]<br>0x0000000020000000|- rs2_val == -68719476737<br> - rs1_val == -144115188075855873<br>                                                                                                                                                   |[0x80000d9c]:mulh<br> [0x80000da0]:sd<br> |
| 105|[0x80009358]<br>0x0000000200000000|- rs2_val == -137438953473<br> - rs1_val == -1152921504606846977<br>                                                                                                                                                 |[0x80000dbc]:mulh<br> [0x80000dc0]:sd<br> |
| 106|[0x80009360]<br>0xffffffffffffffff|- rs2_val == -274877906945<br>                                                                                                                                                                                       |[0x80000dd4]:mulh<br> [0x80000dd8]:sd<br> |
| 107|[0x80009368]<br>0xffffffffffffffa5|- rs2_val == -549755813889<br>                                                                                                                                                                                       |[0x80000df8]:mulh<br> [0x80000dfc]:sd<br> |
| 108|[0x80009370]<br>0xfffffffffffffbff|- rs2_val == -1099511627777<br> - rs1_val == 17179869184<br>                                                                                                                                                         |[0x80000e14]:mulh<br> [0x80000e18]:sd<br> |
| 109|[0x80009378]<br>0x0000000000100000|- rs2_val == -2199023255553<br> - rs1_val == -8796093022209<br>                                                                                                                                                      |[0x80000e34]:mulh<br> [0x80000e38]:sd<br> |
| 110|[0x80009380]<br>0x0000000002000000|- rs2_val == -4398046511105<br> - rs1_val == -140737488355329<br>                                                                                                                                                    |[0x80000e54]:mulh<br> [0x80000e58]:sd<br> |
| 111|[0x80009388]<br>0x0000000000000000|- rs2_val == -8796093022209<br> - rs1_val == -2049<br>                                                                                                                                                               |[0x80000e70]:mulh<br> [0x80000e74]:sd<br> |
| 112|[0x80009390]<br>0x0000000000200000|- rs2_val == -17592186044417<br>                                                                                                                                                                                     |[0x80000e90]:mulh<br> [0x80000e94]:sd<br> |
| 113|[0x80009398]<br>0x0000000080000000|- rs2_val == -35184372088833<br>                                                                                                                                                                                     |[0x80000eb0]:mulh<br> [0x80000eb4]:sd<br> |
| 114|[0x800093a0]<br>0xffffffffffffffef|- rs2_val == -70368744177665<br> - rs1_val == 4194304<br>                                                                                                                                                            |[0x80000ec8]:mulh<br> [0x80000ecc]:sd<br> |
| 115|[0x800093a8]<br>0xffffffdfffffffff|- rs2_val == -140737488355329<br>                                                                                                                                                                                    |[0x80000ee4]:mulh<br> [0x80000ee8]:sd<br> |
| 116|[0x800093b0]<br>0x0000100000000000|- rs2_val == -281474976710657<br>                                                                                                                                                                                    |[0x80000f04]:mulh<br> [0x80000f08]:sd<br> |
| 117|[0x800093b8]<br>0x0000000000400000|- rs2_val == -562949953421313<br>                                                                                                                                                                                    |[0x80000f24]:mulh<br> [0x80000f28]:sd<br> |
| 118|[0x800093c0]<br>0xffffffffff7fffff|- rs2_val == -1125899906842625<br>                                                                                                                                                                                   |[0x80000f40]:mulh<br> [0x80000f44]:sd<br> |
| 119|[0x800093c8]<br>0xffffffffffffffff|- rs2_val == -2251799813685249<br>                                                                                                                                                                                   |[0x80000f58]:mulh<br> [0x80000f5c]:sd<br> |
| 120|[0x800093d0]<br>0xffffffffffffffff|- rs2_val == -4503599627370497<br>                                                                                                                                                                                   |[0x80000f70]:mulh<br> [0x80000f74]:sd<br> |
| 121|[0x800093d8]<br>0x0000000000000000|- rs2_val == -9007199254740993<br>                                                                                                                                                                                   |[0x80000f88]:mulh<br> [0x80000f8c]:sd<br> |
| 122|[0x800093e0]<br>0xffffffffffffffff|- rs2_val == -18014398509481985<br>                                                                                                                                                                                  |[0x80000fa0]:mulh<br> [0x80000fa4]:sd<br> |
| 123|[0x800093e8]<br>0x0000000000080000|- rs2_val == -36028797018963969<br> - rs1_val == -268435457<br>                                                                                                                                                      |[0x80000fbc]:mulh<br> [0x80000fc0]:sd<br> |
| 124|[0x800093f0]<br>0xff99999999999999|- rs2_val == -72057594037927937<br>                                                                                                                                                                                  |[0x80000ff0]:mulh<br> [0x80000ff4]:sd<br> |
| 125|[0x800093f8]<br>0x0000000000000004|- rs2_val == -144115188075855873<br>                                                                                                                                                                                 |[0x80001008]:mulh<br> [0x8000100c]:sd<br> |
| 126|[0x80009400]<br>0xfffffffffff7ffff|- rs2_val == -288230376151711745<br> - rs1_val == 33554432<br>                                                                                                                                                       |[0x80001020]:mulh<br> [0x80001024]:sd<br> |
| 127|[0x80009408]<br>0xfffffffffffffffb|- rs2_val == -576460752303423489<br> - rs1_val == 128<br>                                                                                                                                                            |[0x80001038]:mulh<br> [0x8000103c]:sd<br> |
| 128|[0x80009410]<br>0xfaaaaaaaaaaaaaaa|- rs2_val == -1152921504606846977<br>                                                                                                                                                                                |[0x8000106c]:mulh<br> [0x80001070]:sd<br> |
| 129|[0x80009418]<br>0xf333333333333332|- rs2_val == -2305843009213693953<br>                                                                                                                                                                                |[0x800010a0]:mulh<br> [0x800010a4]:sd<br> |
| 130|[0x80009420]<br>0xffffffff7fffffff|- rs2_val == -4611686018427387905<br> - rs1_val == 8589934592<br>                                                                                                                                                    |[0x800010bc]:mulh<br> [0x800010c0]:sd<br> |
| 131|[0x80009428]<br>0x0000000000000005|- rs2_val == -6148914691236517206<br>                                                                                                                                                                                |[0x800010e8]:mulh<br> [0x800010ec]:sd<br> |
| 132|[0x80009430]<br>0x0000000000000000|- rs1_val == 8<br>                                                                                                                                                                                                   |[0x800010f8]:mulh<br> [0x800010fc]:sd<br> |
| 133|[0x80009438]<br>0xffffffffffffffff|- rs1_val == 32<br>                                                                                                                                                                                                  |[0x8000110c]:mulh<br> [0x80001110]:sd<br> |
| 134|[0x80009440]<br>0x0000000000000000|- rs1_val == 1024<br>                                                                                                                                                                                                |[0x8000111c]:mulh<br> [0x80001120]:sd<br> |
| 135|[0x80009448]<br>0xffffffffffffffff|- rs1_val == 2048<br>                                                                                                                                                                                                |[0x80001134]:mulh<br> [0x80001138]:sd<br> |
| 136|[0x80009450]<br>0x0000000000000000|- rs1_val == 4096<br>                                                                                                                                                                                                |[0x80001144]:mulh<br> [0x80001148]:sd<br> |
| 137|[0x80009458]<br>0x0000000000000000|- rs1_val == 8192<br>                                                                                                                                                                                                |[0x80001154]:mulh<br> [0x80001158]:sd<br> |
| 138|[0x80009460]<br>0x0000000000000000|- rs1_val == 16384<br>                                                                                                                                                                                               |[0x80001170]:mulh<br> [0x80001174]:sd<br> |
| 139|[0x80009468]<br>0x0000000000000100|- rs1_val == 65536<br>                                                                                                                                                                                               |[0x80001184]:mulh<br> [0x80001188]:sd<br> |
| 140|[0x80009470]<br>0x0000000000000000|- rs1_val == 1048576<br>                                                                                                                                                                                             |[0x80001194]:mulh<br> [0x80001198]:sd<br> |
| 141|[0x80009478]<br>0xffffffffffffffff|- rs1_val == 2097152<br>                                                                                                                                                                                             |[0x800011b0]:mulh<br> [0x800011b4]:sd<br> |
| 142|[0x80009480]<br>0x0000000000000000|- rs1_val == 134217728<br>                                                                                                                                                                                           |[0x800011c0]:mulh<br> [0x800011c4]:sd<br> |
| 143|[0x80009488]<br>0x0000000000000000|- rs1_val == 268435456<br>                                                                                                                                                                                           |[0x800011d0]:mulh<br> [0x800011d4]:sd<br> |
| 144|[0x80009490]<br>0x0000000000000000|- rs1_val == 536870912<br>                                                                                                                                                                                           |[0x800011e4]:mulh<br> [0x800011e8]:sd<br> |
| 145|[0x80009498]<br>0x0000000000000000|- rs1_val == 1073741824<br>                                                                                                                                                                                          |[0x800011f4]:mulh<br> [0x800011f8]:sd<br> |
| 146|[0x800094a0]<br>0x0000000000000000|- rs1_val == 4294967296<br>                                                                                                                                                                                          |[0x80001208]:mulh<br> [0x8000120c]:sd<br> |
| 147|[0x800094a8]<br>0x0000000000000040|- rs1_val == 1099511627776<br>                                                                                                                                                                                       |[0x8000121c]:mulh<br> [0x80001220]:sd<br> |
| 148|[0x800094b0]<br>0x0000000000000000|- rs1_val == 2199023255552<br>                                                                                                                                                                                       |[0x80001230]:mulh<br> [0x80001234]:sd<br> |
| 149|[0x800094b8]<br>0x0000015555555555|- rs1_val == 4398046511104<br>                                                                                                                                                                                       |[0x80001260]:mulh<br> [0x80001264]:sd<br> |
| 150|[0x800094c0]<br>0xffffffffffffffff|- rs1_val == 8796093022208<br>                                                                                                                                                                                       |[0x80001278]:mulh<br> [0x8000127c]:sd<br> |
| 151|[0x800094c8]<br>0xfffffffffffffbff|- rs1_val == 70368744177664<br>                                                                                                                                                                                      |[0x80001290]:mulh<br> [0x80001294]:sd<br> |
| 152|[0x800094d0]<br>0xffffffffffffffff|- rs1_val == 281474976710656<br>                                                                                                                                                                                     |[0x800012a8]:mulh<br> [0x800012ac]:sd<br> |
| 153|[0x800094d8]<br>0xfffffffffffffdff|- rs1_val == 4503599627370496<br>                                                                                                                                                                                    |[0x800012c0]:mulh<br> [0x800012c4]:sd<br> |
| 154|[0x800094e0]<br>0x0000000000008000|- rs1_val == 9007199254740992<br>                                                                                                                                                                                    |[0x800012d4]:mulh<br> [0x800012d8]:sd<br> |
| 155|[0x800094e8]<br>0x0000000800000000|- rs1_val == 72057594037927936<br>                                                                                                                                                                                   |[0x800012ec]:mulh<br> [0x800012f0]:sd<br> |
| 156|[0x800094f0]<br>0x00aaaaaaaaaaaaaa|- rs1_val == 144115188075855872<br>                                                                                                                                                                                  |[0x8000131c]:mulh<br> [0x80001320]:sd<br> |
| 157|[0x800094f8]<br>0x0000000000000001|- rs1_val == 576460752303423488<br>                                                                                                                                                                                  |[0x80001330]:mulh<br> [0x80001334]:sd<br> |
| 158|[0x80009500]<br>0x0000000080000000|- rs1_val == 4611686018427387904<br>                                                                                                                                                                                 |[0x80001348]:mulh<br> [0x8000134c]:sd<br> |
| 159|[0x80009508]<br>0x0000000000000000|- rs1_val == -3<br>                                                                                                                                                                                                  |[0x80001358]:mulh<br> [0x8000135c]:sd<br> |
| 160|[0x80009510]<br>0xfffffffffffffffe|- rs1_val == -5<br>                                                                                                                                                                                                  |[0x80001384]:mulh<br> [0x80001388]:sd<br> |
| 161|[0x80009518]<br>0xffffffffffffffff|- rs1_val == -9<br>                                                                                                                                                                                                  |[0x80001394]:mulh<br> [0x80001398]:sd<br> |
| 162|[0x80009520]<br>0xffffffffffffffff|- rs1_val == -33<br>                                                                                                                                                                                                 |[0x800013a4]:mulh<br> [0x800013a8]:sd<br> |
| 163|[0x80009528]<br>0xffffffffffffffff|- rs1_val == -65<br>                                                                                                                                                                                                 |[0x800013b4]:mulh<br> [0x800013b8]:sd<br> |
| 164|[0x80009530]<br>0xffffffffffffffff|- rs1_val == -257<br>                                                                                                                                                                                                |[0x800013c8]:mulh<br> [0x800013cc]:sd<br> |
| 165|[0x80009538]<br>0xffffffffffffffff|- rs1_val == -1025<br>                                                                                                                                                                                               |[0x800013dc]:mulh<br> [0x800013e0]:sd<br> |
| 166|[0x80009540]<br>0xffffffffffffffff|- rs1_val == -4097<br>                                                                                                                                                                                               |[0x800013f4]:mulh<br> [0x800013f8]:sd<br> |
| 167|[0x80009548]<br>0xffffffffffffffff|- rs1_val == -8193<br>                                                                                                                                                                                               |[0x80001408]:mulh<br> [0x8000140c]:sd<br> |
| 168|[0x80009550]<br>0xffffffffffffffff|- rs1_val == -16385<br>                                                                                                                                                                                              |[0x8000141c]:mulh<br> [0x80001420]:sd<br> |
| 169|[0x80009558]<br>0x0000000000000000|- rs1_val == -32769<br>                                                                                                                                                                                              |[0x80001434]:mulh<br> [0x80001438]:sd<br> |
| 170|[0x80009560]<br>0xffffffffffffffff|- rs1_val == -262145<br>                                                                                                                                                                                             |[0x80001448]:mulh<br> [0x8000144c]:sd<br> |
| 171|[0x80009568]<br>0x0000000000000100|- rs1_val == -2097153<br>                                                                                                                                                                                            |[0x80001464]:mulh<br> [0x80001468]:sd<br> |
| 172|[0x80009570]<br>0xffffffffffbfffff|- rs1_val == -16777217<br>                                                                                                                                                                                           |[0x8000147c]:mulh<br> [0x80001480]:sd<br> |
| 173|[0x80009578]<br>0x0000000000000000|- rs1_val == -33554433<br>                                                                                                                                                                                           |[0x8000149c]:mulh<br> [0x800014a0]:sd<br> |
| 174|[0x80009580]<br>0xffffffffffffffef|- rs1_val == -134217729<br>                                                                                                                                                                                          |[0x800014b4]:mulh<br> [0x800014b8]:sd<br> |
| 175|[0x80009588]<br>0xffffffffffffffff|- rs1_val == -2147483649<br>                                                                                                                                                                                         |[0x800014cc]:mulh<br> [0x800014d0]:sd<br> |
| 176|[0x80009590]<br>0x0000000000000002|- rs1_val == -17179869185<br>                                                                                                                                                                                        |[0x800014f0]:mulh<br> [0x800014f4]:sd<br> |
| 177|[0x80009598]<br>0x0000000000000000|- rs1_val == -34359738369<br>                                                                                                                                                                                        |[0x80001508]:mulh<br> [0x8000150c]:sd<br> |
| 178|[0x800095a0]<br>0xffffffffffbfffff|- rs1_val == -274877906945<br>                                                                                                                                                                                       |[0x80001524]:mulh<br> [0x80001528]:sd<br> |
| 179|[0x800095a8]<br>0xffffffffbfffffff|- rs1_val == -4398046511105<br>                                                                                                                                                                                      |[0x80001540]:mulh<br> [0x80001544]:sd<br> |
| 180|[0x800095b0]<br>0xfffffeffffffffff|- rs1_val == -35184372088833<br>                                                                                                                                                                                     |[0x8000155c]:mulh<br> [0x80001560]:sd<br> |
| 181|[0x800095b8]<br>0xfffffeffffffffff|- rs1_val == -281474976710657<br>                                                                                                                                                                                    |[0x80001578]:mulh<br> [0x8000157c]:sd<br> |
| 182|[0x800095c0]<br>0xffffffffffffffff|- rs1_val == -2251799813685249<br>                                                                                                                                                                                   |[0x80001590]:mulh<br> [0x80001594]:sd<br> |
| 183|[0x800095c8]<br>0x0000000002000000|- rs1_val == -4503599627370497<br>                                                                                                                                                                                   |[0x800015b0]:mulh<br> [0x800015b4]:sd<br> |
| 184|[0x800095d0]<br>0xffffffffffffffbf|- rs1_val == -9007199254740993<br> - rs2_val == 131072<br>                                                                                                                                                           |[0x800015c8]:mulh<br> [0x800015cc]:sd<br> |
| 185|[0x800095d8]<br>0xffdfffffffffffff|- rs1_val == -72057594037927937<br>                                                                                                                                                                                  |[0x800015e4]:mulh<br> [0x800015e8]:sd<br> |
| 186|[0x800095e0]<br>0xffffff7fffffffff|- rs1_val == -288230376151711745<br>                                                                                                                                                                                 |[0x80001600]:mulh<br> [0x80001604]:sd<br> |
| 187|[0x800095e8]<br>0xfffffffffffffdff|- rs1_val == -2305843009213693953<br>                                                                                                                                                                                |[0x80001618]:mulh<br> [0x8000161c]:sd<br> |
| 188|[0x800095f0]<br>0x0000000000000400|- rs1_val == -4611686018427387905<br>                                                                                                                                                                                |[0x80001634]:mulh<br> [0x80001638]:sd<br> |
| 189|[0x800095f8]<br>0xffffffffc3a90444|- rs1_val==-6148914691236517206 and rs2_val==3037000499<br> - rs1_val == -6148914691236517206<br>                                                                                                                    |[0x8000166c]:mulh<br> [0x80001670]:sd<br> |
| 190|[0x80009600]<br>0x0000000000000000|- rs1_val==3 and rs2_val==3<br>                                                                                                                                                                                      |[0x8000167c]:mulh<br> [0x80001680]:sd<br> |
| 191|[0x80009608]<br>0x0000000000000000|- rs1_val==3 and rs2_val==6148914691236517205<br>                                                                                                                                                                    |[0x800016a8]:mulh<br> [0x800016ac]:sd<br> |
| 192|[0x80009610]<br>0xfffffffffffffffe|- rs1_val==3 and rs2_val==-6148914691236517206<br>                                                                                                                                                                   |[0x800016d4]:mulh<br> [0x800016d8]:sd<br> |
| 193|[0x80009618]<br>0x0000000000000000|- rs1_val==3 and rs2_val==5<br>                                                                                                                                                                                      |[0x800016e4]:mulh<br> [0x800016e8]:sd<br> |
| 194|[0x80009620]<br>0x0000000000000000|- rs1_val==3 and rs2_val==3689348814741910323<br>                                                                                                                                                                    |[0x80001710]:mulh<br> [0x80001714]:sd<br> |
| 195|[0x80009628]<br>0x0000000000000001|- rs1_val==3 and rs2_val==7378697629483820646<br>                                                                                                                                                                    |[0x8000173c]:mulh<br> [0x80001740]:sd<br> |
| 196|[0x80009630]<br>0xffffffffffffffff|- rs1_val==3 and rs2_val==-3037000499<br>                                                                                                                                                                            |[0x80001758]:mulh<br> [0x8000175c]:sd<br> |
| 197|[0x80009638]<br>0x0000000000000000|- rs1_val==3 and rs2_val==3037000499<br>                                                                                                                                                                             |[0x80001774]:mulh<br> [0x80001778]:sd<br> |
| 198|[0x80009640]<br>0x0000000000000000|- rs1_val==3 and rs2_val==2<br>                                                                                                                                                                                      |[0x80001784]:mulh<br> [0x80001788]:sd<br> |
| 199|[0x80009648]<br>0x0000000000000000|- rs1_val==3 and rs2_val==6148914691236517204<br>                                                                                                                                                                    |[0x800017b0]:mulh<br> [0x800017b4]:sd<br> |
| 200|[0x80009650]<br>0x0000000000000000|- rs1_val==3 and rs2_val==0<br>                                                                                                                                                                                      |[0x800017c0]:mulh<br> [0x800017c4]:sd<br> |
| 201|[0x80009658]<br>0x0000000000000000|- rs1_val==3 and rs2_val==4<br>                                                                                                                                                                                      |[0x800017d0]:mulh<br> [0x800017d4]:sd<br> |
| 202|[0x80009660]<br>0x0000000000000000|- rs1_val==3 and rs2_val==3689348814741910322<br>                                                                                                                                                                    |[0x800017fc]:mulh<br> [0x80001800]:sd<br> |
| 203|[0x80009668]<br>0x0000000000000001|- rs1_val==3 and rs2_val==7378697629483820645<br>                                                                                                                                                                    |[0x80001828]:mulh<br> [0x8000182c]:sd<br> |
| 204|[0x80009670]<br>0x0000000000000000|- rs1_val==3 and rs2_val==3037000498<br>                                                                                                                                                                             |[0x80001844]:mulh<br> [0x80001848]:sd<br> |
| 205|[0x80009678]<br>0x0000000000000001|- rs1_val==3 and rs2_val==6148914691236517206<br>                                                                                                                                                                    |[0x80001870]:mulh<br> [0x80001874]:sd<br> |
| 206|[0x80009680]<br>0xffffffffffffffff|- rs1_val==3 and rs2_val==-6148914691236517205<br>                                                                                                                                                                   |[0x8000189c]:mulh<br> [0x800018a0]:sd<br> |
| 207|[0x80009688]<br>0x0000000000000000|- rs1_val==3 and rs2_val==6<br>                                                                                                                                                                                      |[0x800018ac]:mulh<br> [0x800018b0]:sd<br> |
| 208|[0x80009690]<br>0x0000000000000000|- rs1_val==3 and rs2_val==3689348814741910324<br>                                                                                                                                                                    |[0x800018d8]:mulh<br> [0x800018dc]:sd<br> |
| 209|[0x80009698]<br>0x0000000000000001|- rs1_val==3 and rs2_val==7378697629483820647<br>                                                                                                                                                                    |[0x80001904]:mulh<br> [0x80001908]:sd<br> |
| 210|[0x800096a0]<br>0xffffffffffffffff|- rs1_val==3 and rs2_val==-3037000498<br>                                                                                                                                                                            |[0x80001920]:mulh<br> [0x80001924]:sd<br> |
| 211|[0x800096a8]<br>0x0000000000000000|- rs1_val==3 and rs2_val==3037000500<br>                                                                                                                                                                             |[0x8000193c]:mulh<br> [0x80001940]:sd<br> |
| 212|[0x800096b0]<br>0x0000000000000000|- rs1_val==6148914691236517205 and rs2_val==3<br>                                                                                                                                                                    |[0x80001968]:mulh<br> [0x8000196c]:sd<br> |
| 213|[0x800096b8]<br>0x1c71c71c71c71c71|- rs1_val==6148914691236517205 and rs2_val==6148914691236517205<br>                                                                                                                                                  |[0x800019b0]:mulh<br> [0x800019b4]:sd<br> |
| 214|[0x800096c0]<br>0xe38e38e38e38e38e|- rs1_val==6148914691236517205 and rs2_val==-6148914691236517206<br>                                                                                                                                                 |[0x800019f8]:mulh<br> [0x800019fc]:sd<br> |
| 215|[0x800096c8]<br>0x0000000000000001|- rs1_val==6148914691236517205 and rs2_val==5<br>                                                                                                                                                                    |[0x80001a24]:mulh<br> [0x80001a28]:sd<br> |
| 216|[0x800096d0]<br>0x1111111111111110|- rs1_val==6148914691236517205 and rs2_val==3689348814741910323<br>                                                                                                                                                  |[0x80001a6c]:mulh<br> [0x80001a70]:sd<br> |
| 217|[0x800096d8]<br>0x2222222222222221|- rs1_val==6148914691236517205 and rs2_val==7378697629483820646<br>                                                                                                                                                  |[0x80001ab4]:mulh<br> [0x80001ab8]:sd<br> |
| 218|[0x800096e0]<br>0xffffffffc3a90444|- rs1_val==6148914691236517205 and rs2_val==-3037000499<br>                                                                                                                                                          |[0x80001aec]:mulh<br> [0x80001af0]:sd<br> |
| 219|[0x800096e8]<br>0x000000003c56fbbb|- rs1_val==6148914691236517205 and rs2_val==3037000499<br>                                                                                                                                                           |[0x80001b24]:mulh<br> [0x80001b28]:sd<br> |
| 220|[0x800096f0]<br>0x0000000000000000|- rs1_val==6148914691236517205 and rs2_val==2<br>                                                                                                                                                                    |[0x80001b50]:mulh<br> [0x80001b54]:sd<br> |
| 221|[0x800096f8]<br>0x1c71c71c71c71c71|- rs1_val==6148914691236517205 and rs2_val==6148914691236517204<br>                                                                                                                                                  |[0x80001b98]:mulh<br> [0x80001b9c]:sd<br> |
| 222|[0x80009700]<br>0x0000000000000000|- rs1_val==6148914691236517205 and rs2_val==0<br>                                                                                                                                                                    |[0x80001bc4]:mulh<br> [0x80001bc8]:sd<br> |
| 223|[0x80009708]<br>0x0000000000000001|- rs1_val==6148914691236517205 and rs2_val==4<br>                                                                                                                                                                    |[0x80001bf0]:mulh<br> [0x80001bf4]:sd<br> |
| 224|[0x80009710]<br>0x1111111111111110|- rs1_val==6148914691236517205 and rs2_val==3689348814741910322<br>                                                                                                                                                  |[0x80001c38]:mulh<br> [0x80001c3c]:sd<br> |
| 225|[0x80009718]<br>0x2222222222222221|- rs1_val==6148914691236517205 and rs2_val==7378697629483820645<br>                                                                                                                                                  |[0x80001c80]:mulh<br> [0x80001c84]:sd<br> |
| 226|[0x80009720]<br>0x000000003c56fbbb|- rs1_val==6148914691236517205 and rs2_val==3037000498<br>                                                                                                                                                           |[0x80001cb8]:mulh<br> [0x80001cbc]:sd<br> |
| 227|[0x80009728]<br>0x1c71c71c71c71c71|- rs1_val==6148914691236517205 and rs2_val==6148914691236517206<br>                                                                                                                                                  |[0x80001d00]:mulh<br> [0x80001d04]:sd<br> |
| 228|[0x80009730]<br>0xe38e38e38e38e38e|- rs1_val==6148914691236517205 and rs2_val==-6148914691236517205<br>                                                                                                                                                 |[0x80001d48]:mulh<br> [0x80001d4c]:sd<br> |
| 229|[0x80009738]<br>0x0000000000000001|- rs1_val==6148914691236517205 and rs2_val==6<br>                                                                                                                                                                    |[0x80001d74]:mulh<br> [0x80001d78]:sd<br> |
| 230|[0x80009740]<br>0x1111111111111111|- rs1_val==6148914691236517205 and rs2_val==3689348814741910324<br>                                                                                                                                                  |[0x80001dbc]:mulh<br> [0x80001dc0]:sd<br> |
| 231|[0x80009748]<br>0x2222222222222222|- rs1_val==6148914691236517205 and rs2_val==7378697629483820647<br>                                                                                                                                                  |[0x80001e04]:mulh<br> [0x80001e08]:sd<br> |
| 232|[0x80009750]<br>0xffffffffc3a90444|- rs1_val==6148914691236517205 and rs2_val==-3037000498<br>                                                                                                                                                          |[0x80001e3c]:mulh<br> [0x80001e40]:sd<br> |
| 233|[0x80009758]<br>0x000000003c56fbbb|- rs1_val==6148914691236517205 and rs2_val==3037000500<br>                                                                                                                                                           |[0x80001e74]:mulh<br> [0x80001e78]:sd<br> |
| 234|[0x80009760]<br>0xfffffffffffffffe|- rs1_val==-6148914691236517206 and rs2_val==3<br>                                                                                                                                                                   |[0x80001ea0]:mulh<br> [0x80001ea4]:sd<br> |
| 235|[0x80009768]<br>0xe38e38e38e38e38e|- rs1_val==-6148914691236517206 and rs2_val==6148914691236517205<br>                                                                                                                                                 |[0x80001ee8]:mulh<br> [0x80001eec]:sd<br> |
| 236|[0x80009770]<br>0x1c71c71c71c71c72|- rs1_val==-6148914691236517206 and rs2_val==-6148914691236517206<br>                                                                                                                                                |[0x80001f30]:mulh<br> [0x80001f34]:sd<br> |
| 237|[0x80009778]<br>0xfffffffffffffffe|- rs1_val==-6148914691236517206 and rs2_val==5<br>                                                                                                                                                                   |[0x80001f5c]:mulh<br> [0x80001f60]:sd<br> |
| 238|[0x80009780]<br>0xeeeeeeeeeeeeeeee|- rs1_val==-6148914691236517206 and rs2_val==3689348814741910323<br>                                                                                                                                                 |[0x80001fa4]:mulh<br> [0x80001fa8]:sd<br> |
| 239|[0x80009788]<br>0xdddddddddddddddd|- rs1_val==-6148914691236517206 and rs2_val==7378697629483820646<br>                                                                                                                                                 |[0x80001fec]:mulh<br> [0x80001ff0]:sd<br> |
| 240|[0x80009790]<br>0x000000003c56fbbb|- rs1_val==-6148914691236517206 and rs2_val==-3037000499<br>                                                                                                                                                         |[0x80002024]:mulh<br> [0x80002028]:sd<br> |
| 241|[0x80009798]<br>0xffffffffffffffff|- rs1_val==-6148914691236517206 and rs2_val==2<br>                                                                                                                                                                   |[0x80002050]:mulh<br> [0x80002054]:sd<br> |
| 242|[0x800097a0]<br>0xe38e38e38e38e38e|- rs1_val==-6148914691236517206 and rs2_val==6148914691236517204<br>                                                                                                                                                 |[0x80002098]:mulh<br> [0x8000209c]:sd<br> |
| 243|[0x800097a8]<br>0x0000000000000000|- rs1_val==-6148914691236517206 and rs2_val==0<br>                                                                                                                                                                   |[0x800020c4]:mulh<br> [0x800020c8]:sd<br> |
| 244|[0x800097b0]<br>0xfffffffffffffffe|- rs1_val==-6148914691236517206 and rs2_val==4<br>                                                                                                                                                                   |[0x800020f0]:mulh<br> [0x800020f4]:sd<br> |
| 245|[0x800097b8]<br>0xeeeeeeeeeeeeeeef|- rs1_val==-6148914691236517206 and rs2_val==3689348814741910322<br>                                                                                                                                                 |[0x80002138]:mulh<br> [0x8000213c]:sd<br> |
| 246|[0x800097c0]<br>0xddddddddddddddde|- rs1_val==-6148914691236517206 and rs2_val==7378697629483820645<br>                                                                                                                                                 |[0x80002180]:mulh<br> [0x80002184]:sd<br> |
| 247|[0x800097c8]<br>0xffffffffc3a90444|- rs1_val==-6148914691236517206 and rs2_val==3037000498<br>                                                                                                                                                          |[0x800021b8]:mulh<br> [0x800021bc]:sd<br> |
| 248|[0x800097d0]<br>0xe38e38e38e38e38d|- rs1_val==-6148914691236517206 and rs2_val==6148914691236517206<br>                                                                                                                                                 |[0x80002200]:mulh<br> [0x80002204]:sd<br> |
| 249|[0x800097d8]<br>0x1c71c71c71c71c71|- rs1_val==-6148914691236517206 and rs2_val==-6148914691236517205<br>                                                                                                                                                |[0x80002248]:mulh<br> [0x8000224c]:sd<br> |
| 250|[0x800097e0]<br>0xfffffffffffffffd|- rs1_val==-6148914691236517206 and rs2_val==6<br>                                                                                                                                                                   |[0x80002274]:mulh<br> [0x80002278]:sd<br> |
| 251|[0x800097e8]<br>0xeeeeeeeeeeeeeeee|- rs1_val==-6148914691236517206 and rs2_val==3689348814741910324<br>                                                                                                                                                 |[0x800022bc]:mulh<br> [0x800022c0]:sd<br> |
| 252|[0x800097f0]<br>0xdddddddddddddddd|- rs1_val==-6148914691236517206 and rs2_val==7378697629483820647<br>                                                                                                                                                 |[0x80002304]:mulh<br> [0x80002308]:sd<br> |
| 253|[0x800097f8]<br>0x000000003c56fbbb|- rs1_val==-6148914691236517206 and rs2_val==-3037000498<br>                                                                                                                                                         |[0x8000233c]:mulh<br> [0x80002340]:sd<br> |
| 254|[0x80009800]<br>0xffffffffc3a90443|- rs1_val==-6148914691236517206 and rs2_val==3037000500<br>                                                                                                                                                          |[0x80002374]:mulh<br> [0x80002378]:sd<br> |
| 255|[0x80009808]<br>0x0000000000000000|- rs1_val==5 and rs2_val==3<br>                                                                                                                                                                                      |[0x80002384]:mulh<br> [0x80002388]:sd<br> |
| 256|[0x80009810]<br>0x0000000000000001|- rs1_val==5 and rs2_val==6148914691236517205<br>                                                                                                                                                                    |[0x800023b0]:mulh<br> [0x800023b4]:sd<br> |
| 257|[0x80009818]<br>0xfffffffffffffffe|- rs1_val==5 and rs2_val==-6148914691236517206<br>                                                                                                                                                                   |[0x800023dc]:mulh<br> [0x800023e0]:sd<br> |
| 258|[0x80009820]<br>0x0000000000000000|- rs1_val==5 and rs2_val==5<br>                                                                                                                                                                                      |[0x800023ec]:mulh<br> [0x800023f0]:sd<br> |
| 259|[0x80009828]<br>0x0000000000000000|- rs1_val==5 and rs2_val==3689348814741910323<br>                                                                                                                                                                    |[0x80002418]:mulh<br> [0x8000241c]:sd<br> |
| 260|[0x80009830]<br>0x0000000000000001|- rs1_val==5 and rs2_val==7378697629483820646<br>                                                                                                                                                                    |[0x80002444]:mulh<br> [0x80002448]:sd<br> |
| 261|[0x80009838]<br>0xffffffffffffffff|- rs1_val==5 and rs2_val==-3037000499<br>                                                                                                                                                                            |[0x80002460]:mulh<br> [0x80002464]:sd<br> |
| 262|[0x80009840]<br>0x0000000000000000|- rs1_val==5 and rs2_val==3037000499<br>                                                                                                                                                                             |[0x8000247c]:mulh<br> [0x80002480]:sd<br> |
| 263|[0x80009848]<br>0x0000000000000000|- rs1_val==5 and rs2_val==2<br>                                                                                                                                                                                      |[0x8000248c]:mulh<br> [0x80002490]:sd<br> |
| 264|[0x80009850]<br>0x0000000000000001|- rs1_val==5 and rs2_val==6148914691236517204<br>                                                                                                                                                                    |[0x800024b8]:mulh<br> [0x800024bc]:sd<br> |
| 265|[0x80009858]<br>0x0000000000000000|- rs1_val==5 and rs2_val==0<br>                                                                                                                                                                                      |[0x800024c8]:mulh<br> [0x800024cc]:sd<br> |
| 266|[0x80009860]<br>0x0000000000000000|- rs1_val==5 and rs2_val==4<br>                                                                                                                                                                                      |[0x800024d8]:mulh<br> [0x800024dc]:sd<br> |
| 267|[0x80009868]<br>0x0000000000000000|- rs1_val==5 and rs2_val==3689348814741910322<br>                                                                                                                                                                    |[0x80002504]:mulh<br> [0x80002508]:sd<br> |
| 268|[0x80009870]<br>0x0000000000000001|- rs1_val==5 and rs2_val==7378697629483820645<br>                                                                                                                                                                    |[0x80002530]:mulh<br> [0x80002534]:sd<br> |
| 269|[0x80009878]<br>0x0000000000000000|- rs1_val==5 and rs2_val==3037000498<br>                                                                                                                                                                             |[0x8000254c]:mulh<br> [0x80002550]:sd<br> |
| 270|[0x80009880]<br>0x0000000000000001|- rs1_val==5 and rs2_val==6148914691236517206<br>                                                                                                                                                                    |[0x80002578]:mulh<br> [0x8000257c]:sd<br> |
| 271|[0x80009888]<br>0xfffffffffffffffe|- rs1_val==5 and rs2_val==-6148914691236517205<br>                                                                                                                                                                   |[0x800025a4]:mulh<br> [0x800025a8]:sd<br> |
| 272|[0x80009890]<br>0x0000000000000000|- rs1_val==5 and rs2_val==6<br>                                                                                                                                                                                      |[0x800025b4]:mulh<br> [0x800025b8]:sd<br> |
| 273|[0x80009898]<br>0x0000000000000001|- rs1_val==5 and rs2_val==3689348814741910324<br>                                                                                                                                                                    |[0x800025e0]:mulh<br> [0x800025e4]:sd<br> |
| 274|[0x800098a0]<br>0x0000000000000002|- rs1_val==5 and rs2_val==7378697629483820647<br>                                                                                                                                                                    |[0x8000260c]:mulh<br> [0x80002610]:sd<br> |
| 275|[0x800098a8]<br>0xffffffffffffffff|- rs1_val==5 and rs2_val==-3037000498<br>                                                                                                                                                                            |[0x80002628]:mulh<br> [0x8000262c]:sd<br> |
| 276|[0x800098b0]<br>0x0000000000000000|- rs1_val==5 and rs2_val==3037000500<br>                                                                                                                                                                             |[0x8000264c]:mulh<br> [0x80002650]:sd<br> |
| 277|[0x800098b8]<br>0x0000000000000000|- rs1_val==3689348814741910323 and rs2_val==3<br>                                                                                                                                                                    |[0x80002678]:mulh<br> [0x8000267c]:sd<br> |
| 278|[0x800098c0]<br>0x1111111111111110|- rs1_val==3689348814741910323 and rs2_val==6148914691236517205<br>                                                                                                                                                  |[0x800026c0]:mulh<br> [0x800026c4]:sd<br> |
| 279|[0x800098c8]<br>0xeeeeeeeeeeeeeeee|- rs1_val==3689348814741910323 and rs2_val==-6148914691236517206<br>                                                                                                                                                 |[0x80002708]:mulh<br> [0x8000270c]:sd<br> |
| 280|[0x800098d0]<br>0x0000000000000000|- rs1_val==3689348814741910323 and rs2_val==5<br>                                                                                                                                                                    |[0x80002734]:mulh<br> [0x80002738]:sd<br> |
| 281|[0x800098d8]<br>0x0a3d70a3d70a3d70|- rs1_val==3689348814741910323 and rs2_val==3689348814741910323<br>                                                                                                                                                  |[0x8000277c]:mulh<br> [0x80002780]:sd<br> |
| 282|[0x800098e0]<br>0x147ae147ae147ae1|- rs1_val==3689348814741910323 and rs2_val==7378697629483820646<br>                                                                                                                                                  |[0x800027c4]:mulh<br> [0x800027c8]:sd<br> |
| 283|[0x800098e8]<br>0xffffffffdbcbcf5c|- rs1_val==3689348814741910323 and rs2_val==-3037000499<br>                                                                                                                                                          |[0x800027fc]:mulh<br> [0x80002800]:sd<br> |
| 284|[0x800098f0]<br>0x00000000243430a3|- rs1_val==3689348814741910323 and rs2_val==3037000499<br>                                                                                                                                                           |[0x80002834]:mulh<br> [0x80002838]:sd<br> |
| 285|[0x800098f8]<br>0x0000000000000000|- rs1_val==3689348814741910323 and rs2_val==2<br>                                                                                                                                                                    |[0x80002860]:mulh<br> [0x80002864]:sd<br> |
| 286|[0x80009900]<br>0x1111111111111110|- rs1_val==3689348814741910323 and rs2_val==6148914691236517204<br>                                                                                                                                                  |[0x800028a8]:mulh<br> [0x800028ac]:sd<br> |
| 287|[0x80009908]<br>0x0000000000000000|- rs1_val==3689348814741910323 and rs2_val==0<br>                                                                                                                                                                    |[0x800028d4]:mulh<br> [0x800028d8]:sd<br> |
| 288|[0x80009910]<br>0x0000000000000000|- rs1_val==3689348814741910323 and rs2_val==4<br>                                                                                                                                                                    |[0x80002900]:mulh<br> [0x80002904]:sd<br> |
| 289|[0x80009918]<br>0x0a3d70a3d70a3d70|- rs1_val==3689348814741910323 and rs2_val==3689348814741910322<br>                                                                                                                                                  |[0x80002948]:mulh<br> [0x8000294c]:sd<br> |
| 290|[0x80009920]<br>0x147ae147ae147ae0|- rs1_val==3689348814741910323 and rs2_val==7378697629483820645<br>                                                                                                                                                  |[0x80002990]:mulh<br> [0x80002994]:sd<br> |
| 291|[0x80009928]<br>0x00000000243430a3|- rs1_val==3689348814741910323 and rs2_val==3037000498<br>                                                                                                                                                           |[0x800029c8]:mulh<br> [0x800029cc]:sd<br> |
| 292|[0x80009930]<br>0x1111111111111111|- rs1_val==3689348814741910323 and rs2_val==6148914691236517206<br>                                                                                                                                                  |[0x80002a10]:mulh<br> [0x80002a14]:sd<br> |
| 293|[0x80009938]<br>0xeeeeeeeeeeeeeeef|- rs1_val==3689348814741910323 and rs2_val==-6148914691236517205<br>                                                                                                                                                 |[0x80002a58]:mulh<br> [0x80002a5c]:sd<br> |
| 294|[0x80009940]<br>0x0000000000000001|- rs1_val==3689348814741910323 and rs2_val==6<br>                                                                                                                                                                    |[0x80002a84]:mulh<br> [0x80002a88]:sd<br> |
| 295|[0x80009948]<br>0x0a3d70a3d70a3d70|- rs1_val==3689348814741910323 and rs2_val==3689348814741910324<br>                                                                                                                                                  |[0x80002acc]:mulh<br> [0x80002ad0]:sd<br> |
| 296|[0x80009950]<br>0x147ae147ae147ae1|- rs1_val==3689348814741910323 and rs2_val==7378697629483820647<br>                                                                                                                                                  |[0x80002b14]:mulh<br> [0x80002b18]:sd<br> |
| 297|[0x80009958]<br>0xffffffffdbcbcf5c|- rs1_val==3689348814741910323 and rs2_val==-3037000498<br>                                                                                                                                                          |[0x80002b4c]:mulh<br> [0x80002b50]:sd<br> |
| 298|[0x80009960]<br>0x00000000243430a3|- rs1_val==3689348814741910323 and rs2_val==3037000500<br>                                                                                                                                                           |[0x80002b84]:mulh<br> [0x80002b88]:sd<br> |
| 299|[0x80009968]<br>0x0000000000000001|- rs1_val==7378697629483820646 and rs2_val==3<br>                                                                                                                                                                    |[0x80002bb0]:mulh<br> [0x80002bb4]:sd<br> |
| 300|[0x80009970]<br>0x2222222222222221|- rs1_val==7378697629483820646 and rs2_val==6148914691236517205<br>                                                                                                                                                  |[0x80002bf8]:mulh<br> [0x80002bfc]:sd<br> |
| 301|[0x80009978]<br>0xdddddddddddddddd|- rs1_val==7378697629483820646 and rs2_val==-6148914691236517206<br>                                                                                                                                                 |[0x80002c40]:mulh<br> [0x80002c44]:sd<br> |
| 302|[0x80009980]<br>0x0000000000000001|- rs1_val==7378697629483820646 and rs2_val==5<br>                                                                                                                                                                    |[0x80002c6c]:mulh<br> [0x80002c70]:sd<br> |
| 303|[0x80009988]<br>0x147ae147ae147ae1|- rs1_val==7378697629483820646 and rs2_val==3689348814741910323<br>                                                                                                                                                  |[0x80002cb4]:mulh<br> [0x80002cb8]:sd<br> |
| 304|[0x80009990]<br>0x28f5c28f5c28f5c2|- rs1_val==7378697629483820646 and rs2_val==7378697629483820646<br>                                                                                                                                                  |[0x80002cfc]:mulh<br> [0x80002d00]:sd<br> |
| 305|[0x80009998]<br>0xffffffffb7979eb8|- rs1_val==7378697629483820646 and rs2_val==-3037000499<br>                                                                                                                                                          |[0x80002d34]:mulh<br> [0x80002d38]:sd<br> |
| 306|[0x800099a0]<br>0x0000000048686147|- rs1_val==7378697629483820646 and rs2_val==3037000499<br>                                                                                                                                                           |[0x80002d6c]:mulh<br> [0x80002d70]:sd<br> |
| 307|[0x800099a8]<br>0x0000000000000000|- rs1_val==7378697629483820646 and rs2_val==2<br>                                                                                                                                                                    |[0x80002d98]:mulh<br> [0x80002d9c]:sd<br> |
| 308|[0x800099b0]<br>0x2222222222222221|- rs1_val==7378697629483820646 and rs2_val==6148914691236517204<br>                                                                                                                                                  |[0x80002de0]:mulh<br> [0x80002de4]:sd<br> |
| 309|[0x800099b8]<br>0x0000000000000000|- rs1_val==7378697629483820646 and rs2_val==0<br>                                                                                                                                                                    |[0x80002e0c]:mulh<br> [0x80002e10]:sd<br> |
| 310|[0x800099c0]<br>0x0000000000000001|- rs1_val==7378697629483820646 and rs2_val==4<br>                                                                                                                                                                    |[0x80002e38]:mulh<br> [0x80002e3c]:sd<br> |
| 311|[0x800099c8]<br>0x147ae147ae147ae0|- rs1_val==7378697629483820646 and rs2_val==3689348814741910322<br>                                                                                                                                                  |[0x80002e80]:mulh<br> [0x80002e84]:sd<br> |
| 312|[0x800099d0]<br>0x28f5c28f5c28f5c1|- rs1_val==7378697629483820646 and rs2_val==7378697629483820645<br>                                                                                                                                                  |[0x80002ec8]:mulh<br> [0x80002ecc]:sd<br> |
| 313|[0x800099d8]<br>0x0000000048686147|- rs1_val==7378697629483820646 and rs2_val==3037000498<br>                                                                                                                                                           |[0x80002f00]:mulh<br> [0x80002f04]:sd<br> |
| 314|[0x800099e0]<br>0x2222222222222222|- rs1_val==7378697629483820646 and rs2_val==6148914691236517206<br>                                                                                                                                                  |[0x80002f48]:mulh<br> [0x80002f4c]:sd<br> |
| 315|[0x800099e8]<br>0xddddddddddddddde|- rs1_val==7378697629483820646 and rs2_val==-6148914691236517205<br>                                                                                                                                                 |[0x80002f90]:mulh<br> [0x80002f94]:sd<br> |
| 316|[0x800099f0]<br>0x0000000000000002|- rs1_val==7378697629483820646 and rs2_val==6<br>                                                                                                                                                                    |[0x80002fbc]:mulh<br> [0x80002fc0]:sd<br> |
| 317|[0x800099f8]<br>0x147ae147ae147ae1|- rs1_val==7378697629483820646 and rs2_val==3689348814741910324<br>                                                                                                                                                  |[0x80003004]:mulh<br> [0x80003008]:sd<br> |
| 318|[0x80009a00]<br>0x28f5c28f5c28f5c2|- rs1_val==7378697629483820646 and rs2_val==7378697629483820647<br>                                                                                                                                                  |[0x8000304c]:mulh<br> [0x80003050]:sd<br> |
| 319|[0x80009a08]<br>0xffffffffb7979eb8|- rs1_val==7378697629483820646 and rs2_val==-3037000498<br>                                                                                                                                                          |[0x80003084]:mulh<br> [0x80003088]:sd<br> |
| 320|[0x80009a10]<br>0x0000000048686147|- rs1_val==7378697629483820646 and rs2_val==3037000500<br>                                                                                                                                                           |[0x800030bc]:mulh<br> [0x800030c0]:sd<br> |
| 321|[0x80009a18]<br>0xffffffffffffffff|- rs1_val==-3037000499 and rs2_val==3<br>                                                                                                                                                                            |[0x800030d8]:mulh<br> [0x800030dc]:sd<br> |
| 322|[0x80009a20]<br>0xffffffffc3a90444|- rs1_val==-3037000499 and rs2_val==6148914691236517205<br>                                                                                                                                                          |[0x80003110]:mulh<br> [0x80003114]:sd<br> |
| 323|[0x80009a28]<br>0x000000003c56fbbb|- rs1_val==-3037000499 and rs2_val==-6148914691236517206<br>                                                                                                                                                         |[0x80003148]:mulh<br> [0x8000314c]:sd<br> |
| 324|[0x80009a30]<br>0xffffffffffffffff|- rs1_val==-3037000499 and rs2_val==5<br>                                                                                                                                                                            |[0x80003164]:mulh<br> [0x80003168]:sd<br> |
| 325|[0x80009a38]<br>0xffffffffdbcbcf5c|- rs1_val==-3037000499 and rs2_val==3689348814741910323<br>                                                                                                                                                          |[0x8000319c]:mulh<br> [0x800031a0]:sd<br> |
| 326|[0x80009a40]<br>0xffffffffb7979eb8|- rs1_val==-3037000499 and rs2_val==7378697629483820646<br>                                                                                                                                                          |[0x800031d4]:mulh<br> [0x800031d8]:sd<br> |
| 327|[0x80009a48]<br>0x0000000000000000|- rs1_val==-3037000499 and rs2_val==-3037000499<br>                                                                                                                                                                  |[0x800031fc]:mulh<br> [0x80003200]:sd<br> |
| 328|[0x80009a50]<br>0xffffffffffffffff|- rs1_val==-3037000499 and rs2_val==3037000499<br>                                                                                                                                                                   |[0x80003224]:mulh<br> [0x80003228]:sd<br> |
| 329|[0x80009a58]<br>0xffffffffffffffff|- rs1_val==-3037000499 and rs2_val==2<br>                                                                                                                                                                            |[0x80003240]:mulh<br> [0x80003244]:sd<br> |
| 330|[0x80009a60]<br>0xffffffffc3a90444|- rs1_val==-3037000499 and rs2_val==6148914691236517204<br>                                                                                                                                                          |[0x80003278]:mulh<br> [0x8000327c]:sd<br> |
| 331|[0x80009a68]<br>0x0000000000000000|- rs1_val==-3037000499 and rs2_val==0<br>                                                                                                                                                                            |[0x80003294]:mulh<br> [0x80003298]:sd<br> |
| 332|[0x80009a70]<br>0xffffffffffffffff|- rs1_val==-3037000499 and rs2_val==4<br>                                                                                                                                                                            |[0x800032b0]:mulh<br> [0x800032b4]:sd<br> |
| 333|[0x80009a78]<br>0xffffffffdbcbcf5c|- rs1_val==-3037000499 and rs2_val==3689348814741910322<br>                                                                                                                                                          |[0x800032e8]:mulh<br> [0x800032ec]:sd<br> |
| 334|[0x80009a80]<br>0xffffffffb7979eb8|- rs1_val==-3037000499 and rs2_val==7378697629483820645<br>                                                                                                                                                          |[0x80003320]:mulh<br> [0x80003324]:sd<br> |
| 335|[0x80009a88]<br>0xffffffffffffffff|- rs1_val==-3037000499 and rs2_val==3037000498<br>                                                                                                                                                                   |[0x80003348]:mulh<br> [0x8000334c]:sd<br> |
| 336|[0x80009a90]<br>0xffffffffc3a90444|- rs1_val==-3037000499 and rs2_val==6148914691236517206<br>                                                                                                                                                          |[0x80003380]:mulh<br> [0x80003384]:sd<br> |
| 337|[0x80009a98]<br>0x000000003c56fbbb|- rs1_val==-3037000499 and rs2_val==-6148914691236517205<br>                                                                                                                                                         |[0x800033b8]:mulh<br> [0x800033bc]:sd<br> |
| 338|[0x80009aa0]<br>0xffffffffffffffff|- rs1_val==-3037000499 and rs2_val==6<br>                                                                                                                                                                            |[0x800033d4]:mulh<br> [0x800033d8]:sd<br> |
| 339|[0x80009aa8]<br>0xffffffffdbcbcf5c|- rs1_val==-3037000499 and rs2_val==3689348814741910324<br>                                                                                                                                                          |[0x8000340c]:mulh<br> [0x80003410]:sd<br> |
| 340|[0x80009ab0]<br>0xffffffffb7979eb8|- rs1_val==-3037000499 and rs2_val==7378697629483820647<br>                                                                                                                                                          |[0x80003444]:mulh<br> [0x80003448]:sd<br> |
| 341|[0x80009ab8]<br>0x0000000000000000|- rs1_val==-3037000499 and rs2_val==-3037000498<br>                                                                                                                                                                  |[0x8000346c]:mulh<br> [0x80003470]:sd<br> |
| 342|[0x80009ac0]<br>0xffffffffffffffff|- rs1_val==-3037000499 and rs2_val==3037000500<br>                                                                                                                                                                   |[0x80003494]:mulh<br> [0x80003498]:sd<br> |
| 343|[0x80009ac8]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==3<br>                                                                                                                                                                             |[0x800034b0]:mulh<br> [0x800034b4]:sd<br> |
| 344|[0x80009ad0]<br>0x000000003c56fbbb|- rs1_val==3037000499 and rs2_val==6148914691236517205<br>                                                                                                                                                           |[0x800034e8]:mulh<br> [0x800034ec]:sd<br> |
| 345|[0x80009ad8]<br>0xffffffffc3a90444|- rs1_val==3037000499 and rs2_val==-6148914691236517206<br>                                                                                                                                                          |[0x80003520]:mulh<br> [0x80003524]:sd<br> |
| 346|[0x80009ae0]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==5<br>                                                                                                                                                                             |[0x8000353c]:mulh<br> [0x80003540]:sd<br> |
| 347|[0x80009ae8]<br>0x00000000243430a3|- rs1_val==3037000499 and rs2_val==3689348814741910323<br>                                                                                                                                                           |[0x80003574]:mulh<br> [0x80003578]:sd<br> |
| 348|[0x80009af0]<br>0x0000000048686147|- rs1_val==3037000499 and rs2_val==7378697629483820646<br>                                                                                                                                                           |[0x800035ac]:mulh<br> [0x800035b0]:sd<br> |
| 349|[0x80009af8]<br>0xffffffffffffffff|- rs1_val==3037000499 and rs2_val==-3037000499<br>                                                                                                                                                                   |[0x800035d4]:mulh<br> [0x800035d8]:sd<br> |
| 350|[0x80009b00]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==3037000499<br>                                                                                                                                                                    |[0x800035fc]:mulh<br> [0x80003600]:sd<br> |
| 351|[0x80009b08]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==2<br>                                                                                                                                                                             |[0x80003618]:mulh<br> [0x8000361c]:sd<br> |
| 352|[0x80009b10]<br>0x000000003c56fbbb|- rs1_val==3037000499 and rs2_val==6148914691236517204<br>                                                                                                                                                           |[0x80003650]:mulh<br> [0x80003654]:sd<br> |
| 353|[0x80009b18]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==0<br>                                                                                                                                                                             |[0x8000366c]:mulh<br> [0x80003670]:sd<br> |
| 354|[0x80009b20]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==4<br>                                                                                                                                                                             |[0x80003688]:mulh<br> [0x8000368c]:sd<br> |
| 355|[0x80009b28]<br>0x00000000243430a3|- rs1_val==3037000499 and rs2_val==3689348814741910322<br>                                                                                                                                                           |[0x800036c0]:mulh<br> [0x800036c4]:sd<br> |
| 356|[0x80009b30]<br>0x0000000048686147|- rs1_val==3037000499 and rs2_val==7378697629483820645<br>                                                                                                                                                           |[0x800036f8]:mulh<br> [0x800036fc]:sd<br> |
| 357|[0x80009b38]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==3037000498<br>                                                                                                                                                                    |[0x80003720]:mulh<br> [0x80003724]:sd<br> |
| 358|[0x80009b40]<br>0x000000003c56fbbb|- rs1_val==3037000499 and rs2_val==6148914691236517206<br>                                                                                                                                                           |[0x80003758]:mulh<br> [0x8000375c]:sd<br> |
| 359|[0x80009b48]<br>0xffffffffc3a90444|- rs1_val==3037000499 and rs2_val==-6148914691236517205<br>                                                                                                                                                          |[0x80003790]:mulh<br> [0x80003794]:sd<br> |
| 360|[0x80009b50]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==6<br>                                                                                                                                                                             |[0x800037ac]:mulh<br> [0x800037b0]:sd<br> |
| 361|[0x80009b58]<br>0x00000000243430a3|- rs1_val==3037000499 and rs2_val==3689348814741910324<br>                                                                                                                                                           |[0x800037e4]:mulh<br> [0x800037e8]:sd<br> |
| 362|[0x80009b60]<br>0x0000000048686147|- rs1_val==3037000499 and rs2_val==7378697629483820647<br>                                                                                                                                                           |[0x8000381c]:mulh<br> [0x80003820]:sd<br> |
| 363|[0x80009b68]<br>0xffffffffffffffff|- rs1_val==3037000499 and rs2_val==-3037000498<br>                                                                                                                                                                   |[0x80003844]:mulh<br> [0x80003848]:sd<br> |
| 364|[0x80009b70]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==3037000500<br>                                                                                                                                                                    |[0x8000386c]:mulh<br> [0x80003870]:sd<br> |
| 365|[0x80009b78]<br>0x0000000000000000|- rs1_val==2 and rs2_val==3<br>                                                                                                                                                                                      |[0x8000387c]:mulh<br> [0x80003880]:sd<br> |
| 366|[0x80009b80]<br>0x0000000000000000|- rs1_val==2 and rs2_val==6148914691236517205<br>                                                                                                                                                                    |[0x800038a8]:mulh<br> [0x800038ac]:sd<br> |
| 367|[0x80009b88]<br>0xffffffffffffffff|- rs1_val==2 and rs2_val==-6148914691236517206<br>                                                                                                                                                                   |[0x800038d4]:mulh<br> [0x800038d8]:sd<br> |
| 368|[0x80009b90]<br>0x0000000000000000|- rs1_val==2 and rs2_val==5<br>                                                                                                                                                                                      |[0x800038e4]:mulh<br> [0x800038e8]:sd<br> |
| 369|[0x80009b98]<br>0x0000000000000000|- rs1_val==2 and rs2_val==3689348814741910323<br>                                                                                                                                                                    |[0x80003910]:mulh<br> [0x80003914]:sd<br> |
| 370|[0x80009ba0]<br>0x0000000000000000|- rs1_val==2 and rs2_val==7378697629483820646<br>                                                                                                                                                                    |[0x8000393c]:mulh<br> [0x80003940]:sd<br> |
| 371|[0x80009ba8]<br>0xffffffffffffffff|- rs1_val==2 and rs2_val==-3037000499<br>                                                                                                                                                                            |[0x80003958]:mulh<br> [0x8000395c]:sd<br> |
| 372|[0x80009bb0]<br>0x0000000000000000|- rs1_val==2 and rs2_val==3037000499<br>                                                                                                                                                                             |[0x80003974]:mulh<br> [0x80003978]:sd<br> |
| 373|[0x80009bb8]<br>0x0000000000000000|- rs1_val==2 and rs2_val==2<br>                                                                                                                                                                                      |[0x80003984]:mulh<br> [0x80003988]:sd<br> |
| 374|[0x80009bc0]<br>0x0000000000000000|- rs1_val==2 and rs2_val==6148914691236517204<br>                                                                                                                                                                    |[0x800039b0]:mulh<br> [0x800039b4]:sd<br> |
| 375|[0x80009bc8]<br>0x0000000000000000|- rs1_val==2 and rs2_val==0<br>                                                                                                                                                                                      |[0x800039c0]:mulh<br> [0x800039c4]:sd<br> |
| 376|[0x80009bd0]<br>0x0000000000000000|- rs1_val==2 and rs2_val==4<br>                                                                                                                                                                                      |[0x800039d0]:mulh<br> [0x800039d4]:sd<br> |
| 377|[0x80009bd8]<br>0x0000000000000000|- rs1_val==2 and rs2_val==3689348814741910322<br>                                                                                                                                                                    |[0x800039fc]:mulh<br> [0x80003a00]:sd<br> |
| 378|[0x80009be0]<br>0x0000000000000000|- rs1_val==2 and rs2_val==7378697629483820645<br>                                                                                                                                                                    |[0x80003a28]:mulh<br> [0x80003a2c]:sd<br> |
| 379|[0x80009be8]<br>0x0000000000000000|- rs1_val==2 and rs2_val==3037000498<br>                                                                                                                                                                             |[0x80003a44]:mulh<br> [0x80003a48]:sd<br> |
| 380|[0x80009bf0]<br>0x0000000000000000|- rs1_val==2 and rs2_val==6148914691236517206<br>                                                                                                                                                                    |[0x80003a70]:mulh<br> [0x80003a74]:sd<br> |
| 381|[0x80009bf8]<br>0xffffffffffffffff|- rs1_val==2 and rs2_val==-6148914691236517205<br>                                                                                                                                                                   |[0x80003a9c]:mulh<br> [0x80003aa0]:sd<br> |
| 382|[0x80009c00]<br>0x0000000000000000|- rs1_val==2 and rs2_val==6<br>                                                                                                                                                                                      |[0x80003aac]:mulh<br> [0x80003ab0]:sd<br> |
| 383|[0x80009c08]<br>0x0000000000000000|- rs1_val==2 and rs2_val==3689348814741910324<br>                                                                                                                                                                    |[0x80003ad8]:mulh<br> [0x80003adc]:sd<br> |
| 384|[0x80009c10]<br>0x0000000000000000|- rs1_val==2 and rs2_val==7378697629483820647<br>                                                                                                                                                                    |[0x80003b04]:mulh<br> [0x80003b08]:sd<br> |
| 385|[0x80009c18]<br>0xffffffffffffffff|- rs1_val==2 and rs2_val==-3037000498<br>                                                                                                                                                                            |[0x80003b20]:mulh<br> [0x80003b24]:sd<br> |
| 386|[0x80009c20]<br>0x0000000000000000|- rs1_val==2 and rs2_val==3037000500<br>                                                                                                                                                                             |[0x80003b3c]:mulh<br> [0x80003b40]:sd<br> |
| 387|[0x80009c28]<br>0x0000000000000000|- rs1_val==6148914691236517204 and rs2_val==3<br>                                                                                                                                                                    |[0x80003b68]:mulh<br> [0x80003b6c]:sd<br> |
| 388|[0x80009c30]<br>0x1c71c71c71c71c71|- rs1_val==6148914691236517204 and rs2_val==6148914691236517205<br>                                                                                                                                                  |[0x80003bb0]:mulh<br> [0x80003bb4]:sd<br> |
| 389|[0x80009c38]<br>0xe38e38e38e38e38e|- rs1_val==6148914691236517204 and rs2_val==-6148914691236517206<br>                                                                                                                                                 |[0x80003bf8]:mulh<br> [0x80003bfc]:sd<br> |
| 390|[0x80009c40]<br>0x0000000000000001|- rs1_val==6148914691236517204 and rs2_val==5<br>                                                                                                                                                                    |[0x80003c24]:mulh<br> [0x80003c28]:sd<br> |
| 391|[0x80009c48]<br>0x1111111111111110|- rs1_val==6148914691236517204 and rs2_val==3689348814741910323<br>                                                                                                                                                  |[0x80003c6c]:mulh<br> [0x80003c70]:sd<br> |
| 392|[0x80009c50]<br>0x2222222222222221|- rs1_val==6148914691236517204 and rs2_val==7378697629483820646<br>                                                                                                                                                  |[0x80003cb4]:mulh<br> [0x80003cb8]:sd<br> |
| 393|[0x80009c58]<br>0xffffffffc3a90444|- rs1_val==6148914691236517204 and rs2_val==-3037000499<br>                                                                                                                                                          |[0x80003cec]:mulh<br> [0x80003cf0]:sd<br> |
| 394|[0x80009c60]<br>0x000000003c56fbbb|- rs1_val==6148914691236517204 and rs2_val==3037000499<br>                                                                                                                                                           |[0x80003d24]:mulh<br> [0x80003d28]:sd<br> |
| 395|[0x80009c68]<br>0x0000000000000000|- rs1_val==6148914691236517204 and rs2_val==2<br>                                                                                                                                                                    |[0x80003d50]:mulh<br> [0x80003d54]:sd<br> |
| 396|[0x80009c70]<br>0x1c71c71c71c71c70|- rs1_val==6148914691236517204 and rs2_val==6148914691236517204<br>                                                                                                                                                  |[0x80003d98]:mulh<br> [0x80003d9c]:sd<br> |
| 397|[0x80009c78]<br>0x0000000000000000|- rs1_val==6148914691236517204 and rs2_val==0<br>                                                                                                                                                                    |[0x80003dc4]:mulh<br> [0x80003dc8]:sd<br> |
| 398|[0x80009c80]<br>0x0000000000000001|- rs1_val==6148914691236517204 and rs2_val==4<br>                                                                                                                                                                    |[0x80003df0]:mulh<br> [0x80003df4]:sd<br> |
| 399|[0x80009c88]<br>0x1111111111111110|- rs1_val==6148914691236517204 and rs2_val==3689348814741910322<br>                                                                                                                                                  |[0x80003e38]:mulh<br> [0x80003e3c]:sd<br> |
| 400|[0x80009c90]<br>0x2222222222222221|- rs1_val==6148914691236517204 and rs2_val==7378697629483820645<br>                                                                                                                                                  |[0x80003e80]:mulh<br> [0x80003e84]:sd<br> |
| 401|[0x80009c98]<br>0x000000003c56fbbb|- rs1_val==6148914691236517204 and rs2_val==3037000498<br>                                                                                                                                                           |[0x80003eb8]:mulh<br> [0x80003ebc]:sd<br> |
| 402|[0x80009ca0]<br>0x1c71c71c71c71c71|- rs1_val==6148914691236517204 and rs2_val==6148914691236517206<br>                                                                                                                                                  |[0x80003f00]:mulh<br> [0x80003f04]:sd<br> |
| 403|[0x80009ca8]<br>0xe38e38e38e38e38e|- rs1_val==6148914691236517204 and rs2_val==-6148914691236517205<br>                                                                                                                                                 |[0x80003f48]:mulh<br> [0x80003f4c]:sd<br> |
| 404|[0x80009cb0]<br>0x0000000000000001|- rs1_val==6148914691236517204 and rs2_val==6<br>                                                                                                                                                                    |[0x80003f74]:mulh<br> [0x80003f78]:sd<br> |
| 405|[0x80009cb8]<br>0x1111111111111111|- rs1_val==6148914691236517204 and rs2_val==3689348814741910324<br>                                                                                                                                                  |[0x80003fbc]:mulh<br> [0x80003fc0]:sd<br> |
| 406|[0x80009cc0]<br>0x2222222222222221|- rs1_val==6148914691236517204 and rs2_val==7378697629483820647<br>                                                                                                                                                  |[0x80004004]:mulh<br> [0x80004008]:sd<br> |
| 407|[0x80009cc8]<br>0xffffffffc3a90444|- rs1_val==6148914691236517204 and rs2_val==-3037000498<br>                                                                                                                                                          |[0x8000403c]:mulh<br> [0x80004040]:sd<br> |
| 408|[0x80009cd0]<br>0x000000003c56fbbb|- rs1_val==6148914691236517204 and rs2_val==3037000500<br>                                                                                                                                                           |[0x80004074]:mulh<br> [0x80004078]:sd<br> |
| 409|[0x80009cd8]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3<br>                                                                                                                                                                                      |[0x80004084]:mulh<br> [0x80004088]:sd<br> |
| 410|[0x80009ce8]<br>0x0000000000000000|- rs1_val==0 and rs2_val==-6148914691236517206<br>                                                                                                                                                                   |[0x800040dc]:mulh<br> [0x800040e0]:sd<br> |
| 411|[0x80009cf0]<br>0x0000000000000000|- rs1_val==0 and rs2_val==5<br>                                                                                                                                                                                      |[0x800040ec]:mulh<br> [0x800040f0]:sd<br> |
| 412|[0x80009cf8]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3689348814741910323<br>                                                                                                                                                                    |[0x80004118]:mulh<br> [0x8000411c]:sd<br> |
| 413|[0x80009d00]<br>0x0000000000000000|- rs1_val==0 and rs2_val==7378697629483820646<br>                                                                                                                                                                    |[0x80004144]:mulh<br> [0x80004148]:sd<br> |
| 414|[0x80009d08]<br>0x0000000000000000|- rs1_val==0 and rs2_val==-3037000499<br>                                                                                                                                                                            |[0x80004160]:mulh<br> [0x80004164]:sd<br> |
| 415|[0x80009d10]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3037000499<br>                                                                                                                                                                             |[0x8000417c]:mulh<br> [0x80004180]:sd<br> |
| 416|[0x80009d18]<br>0x0000000000000000|- rs1_val==0 and rs2_val==-3037000498<br>                                                                                                                                                                            |[0x80004198]:mulh<br> [0x8000419c]:sd<br> |
| 417|[0x80009d20]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3037000500<br>                                                                                                                                                                             |[0x800041b4]:mulh<br> [0x800041b8]:sd<br> |
| 418|[0x80009d28]<br>0x0000000000000000|- rs1_val==4 and rs2_val==3<br>                                                                                                                                                                                      |[0x800041c4]:mulh<br> [0x800041c8]:sd<br> |
| 419|[0x80009d30]<br>0x0000000000000001|- rs1_val==4 and rs2_val==6148914691236517205<br>                                                                                                                                                                    |[0x800041f0]:mulh<br> [0x800041f4]:sd<br> |
| 420|[0x80009d38]<br>0xfffffffffffffffe|- rs1_val==4 and rs2_val==-6148914691236517206<br>                                                                                                                                                                   |[0x8000421c]:mulh<br> [0x80004220]:sd<br> |
| 421|[0x80009d40]<br>0x0000000000000000|- rs1_val==4 and rs2_val==5<br>                                                                                                                                                                                      |[0x8000422c]:mulh<br> [0x80004230]:sd<br> |
| 422|[0x80009d48]<br>0x0000000000000000|- rs1_val==4 and rs2_val==3689348814741910323<br>                                                                                                                                                                    |[0x80004258]:mulh<br> [0x8000425c]:sd<br> |
| 423|[0x80009d50]<br>0x0000000000000001|- rs1_val==4 and rs2_val==7378697629483820646<br>                                                                                                                                                                    |[0x80004284]:mulh<br> [0x80004288]:sd<br> |
| 424|[0x80009d58]<br>0xffffffffffffffff|- rs1_val==4 and rs2_val==-3037000499<br>                                                                                                                                                                            |[0x800042a0]:mulh<br> [0x800042a4]:sd<br> |
| 425|[0x80009d60]<br>0x0000000000000000|- rs1_val==4 and rs2_val==3037000499<br>                                                                                                                                                                             |[0x800042bc]:mulh<br> [0x800042c0]:sd<br> |
| 426|[0x80009d68]<br>0x0000000000000000|- rs1_val==4 and rs2_val==2<br>                                                                                                                                                                                      |[0x800042cc]:mulh<br> [0x800042d0]:sd<br> |
| 427|[0x80009d70]<br>0x0000000000000001|- rs1_val==4 and rs2_val==6148914691236517204<br>                                                                                                                                                                    |[0x800042f8]:mulh<br> [0x800042fc]:sd<br> |
| 428|[0x80009d78]<br>0x0000000000000000|- rs1_val==4 and rs2_val==0<br>                                                                                                                                                                                      |[0x80004308]:mulh<br> [0x8000430c]:sd<br> |
| 429|[0x80009d80]<br>0x0000000000000000|- rs1_val==4 and rs2_val==4<br>                                                                                                                                                                                      |[0x80004318]:mulh<br> [0x8000431c]:sd<br> |
| 430|[0x80009d88]<br>0x0000000000000000|- rs1_val==4 and rs2_val==3689348814741910322<br>                                                                                                                                                                    |[0x80004344]:mulh<br> [0x80004348]:sd<br> |
| 431|[0x80009d90]<br>0x0000000000000001|- rs1_val==4 and rs2_val==7378697629483820645<br>                                                                                                                                                                    |[0x80004370]:mulh<br> [0x80004374]:sd<br> |
| 432|[0x80009d98]<br>0x0000000000000000|- rs1_val==4 and rs2_val==3037000498<br>                                                                                                                                                                             |[0x8000438c]:mulh<br> [0x80004390]:sd<br> |
| 433|[0x80009da0]<br>0x0000000000000001|- rs1_val==4 and rs2_val==6148914691236517206<br>                                                                                                                                                                    |[0x800043b8]:mulh<br> [0x800043bc]:sd<br> |
| 434|[0x80009da8]<br>0xfffffffffffffffe|- rs1_val==4 and rs2_val==-6148914691236517205<br>                                                                                                                                                                   |[0x800043e4]:mulh<br> [0x800043e8]:sd<br> |
| 435|[0x80009db0]<br>0x0000000000000000|- rs1_val==4 and rs2_val==6<br>                                                                                                                                                                                      |[0x800043f4]:mulh<br> [0x800043f8]:sd<br> |
| 436|[0x80009db8]<br>0x0000000000000000|- rs1_val==4 and rs2_val==3689348814741910324<br>                                                                                                                                                                    |[0x80004420]:mulh<br> [0x80004424]:sd<br> |
| 437|[0x80009dc0]<br>0x0000000000000001|- rs1_val==4 and rs2_val==7378697629483820647<br>                                                                                                                                                                    |[0x8000444c]:mulh<br> [0x80004450]:sd<br> |
| 438|[0x80009dc8]<br>0xffffffffffffffff|- rs1_val==4 and rs2_val==-3037000498<br>                                                                                                                                                                            |[0x80004468]:mulh<br> [0x8000446c]:sd<br> |
| 439|[0x80009dd0]<br>0x0000000000000000|- rs1_val==4 and rs2_val==3037000500<br>                                                                                                                                                                             |[0x80004484]:mulh<br> [0x80004488]:sd<br> |
| 440|[0x80009dd8]<br>0x0000000000000000|- rs1_val==3689348814741910322 and rs2_val==3<br>                                                                                                                                                                    |[0x800044b0]:mulh<br> [0x800044b4]:sd<br> |
| 441|[0x80009de0]<br>0x1111111111111110|- rs1_val==3689348814741910322 and rs2_val==6148914691236517205<br>                                                                                                                                                  |[0x800044f8]:mulh<br> [0x800044fc]:sd<br> |
| 442|[0x80009de8]<br>0xeeeeeeeeeeeeeeef|- rs1_val==3689348814741910322 and rs2_val==-6148914691236517206<br>                                                                                                                                                 |[0x80004540]:mulh<br> [0x80004544]:sd<br> |
| 443|[0x80009df0]<br>0x0000000000000000|- rs1_val==3689348814741910322 and rs2_val==5<br>                                                                                                                                                                    |[0x8000456c]:mulh<br> [0x80004570]:sd<br> |
| 444|[0x80009df8]<br>0x0a3d70a3d70a3d70|- rs1_val==3689348814741910322 and rs2_val==3689348814741910323<br>                                                                                                                                                  |[0x800045b4]:mulh<br> [0x800045b8]:sd<br> |
| 445|[0x80009e00]<br>0x147ae147ae147ae0|- rs1_val==3689348814741910322 and rs2_val==7378697629483820646<br>                                                                                                                                                  |[0x800045fc]:mulh<br> [0x80004600]:sd<br> |
| 446|[0x80009e08]<br>0xffffffffdbcbcf5c|- rs1_val==3689348814741910322 and rs2_val==-3037000499<br>                                                                                                                                                          |[0x80004634]:mulh<br> [0x80004638]:sd<br> |
| 447|[0x80009e10]<br>0x00000000243430a3|- rs1_val==3689348814741910322 and rs2_val==3037000499<br>                                                                                                                                                           |[0x8000466c]:mulh<br> [0x80004670]:sd<br> |
| 448|[0x80009e18]<br>0x0000000000000000|- rs1_val==3689348814741910322 and rs2_val==2<br>                                                                                                                                                                    |[0x80004698]:mulh<br> [0x8000469c]:sd<br> |
| 449|[0x80009e20]<br>0x1111111111111110|- rs1_val==3689348814741910322 and rs2_val==6148914691236517204<br>                                                                                                                                                  |[0x800046e0]:mulh<br> [0x800046e4]:sd<br> |
| 450|[0x80009e28]<br>0x0000000000000000|- rs1_val==3689348814741910322 and rs2_val==0<br>                                                                                                                                                                    |[0x8000470c]:mulh<br> [0x80004710]:sd<br> |
| 451|[0x80009e30]<br>0x0000000000000000|- rs1_val==3689348814741910322 and rs2_val==4<br>                                                                                                                                                                    |[0x80004738]:mulh<br> [0x8000473c]:sd<br> |
| 452|[0x80009e38]<br>0x0a3d70a3d70a3d70|- rs1_val==3689348814741910322 and rs2_val==3689348814741910322<br>                                                                                                                                                  |[0x80004780]:mulh<br> [0x80004784]:sd<br> |
| 453|[0x80009e40]<br>0x147ae147ae147ae0|- rs1_val==3689348814741910322 and rs2_val==7378697629483820645<br>                                                                                                                                                  |[0x800047c8]:mulh<br> [0x800047cc]:sd<br> |
| 454|[0x80009e48]<br>0x00000000243430a3|- rs1_val==3689348814741910322 and rs2_val==3037000498<br>                                                                                                                                                           |[0x80004800]:mulh<br> [0x80004804]:sd<br> |
| 455|[0x80009e50]<br>0x1111111111111110|- rs1_val==3689348814741910322 and rs2_val==6148914691236517206<br>                                                                                                                                                  |[0x80004848]:mulh<br> [0x8000484c]:sd<br> |
| 456|[0x80009e58]<br>0xeeeeeeeeeeeeeeef|- rs1_val==3689348814741910322 and rs2_val==-6148914691236517205<br>                                                                                                                                                 |[0x80004890]:mulh<br> [0x80004894]:sd<br> |
| 457|[0x80009e60]<br>0x0000000000000001|- rs1_val==3689348814741910322 and rs2_val==6<br>                                                                                                                                                                    |[0x800048bc]:mulh<br> [0x800048c0]:sd<br> |
| 458|[0x80009e68]<br>0x0a3d70a3d70a3d70|- rs1_val==3689348814741910322 and rs2_val==3689348814741910324<br>                                                                                                                                                  |[0x80004904]:mulh<br> [0x80004908]:sd<br> |
| 459|[0x80009e70]<br>0x147ae147ae147ae0|- rs1_val==3689348814741910322 and rs2_val==7378697629483820647<br>                                                                                                                                                  |[0x8000494c]:mulh<br> [0x80004950]:sd<br> |
| 460|[0x80009e78]<br>0xffffffffdbcbcf5c|- rs1_val==3689348814741910322 and rs2_val==-3037000498<br>                                                                                                                                                          |[0x80004984]:mulh<br> [0x80004988]:sd<br> |
| 461|[0x80009e80]<br>0x00000000243430a3|- rs1_val==3689348814741910322 and rs2_val==3037000500<br>                                                                                                                                                           |[0x800049bc]:mulh<br> [0x800049c0]:sd<br> |
| 462|[0x80009e88]<br>0x0000000000000001|- rs1_val==7378697629483820645 and rs2_val==3<br>                                                                                                                                                                    |[0x800049e8]:mulh<br> [0x800049ec]:sd<br> |
| 463|[0x80009e90]<br>0x2222222222222221|- rs1_val==7378697629483820645 and rs2_val==6148914691236517205<br>                                                                                                                                                  |[0x80004a30]:mulh<br> [0x80004a34]:sd<br> |
| 464|[0x80009e98]<br>0xddddddddddddddde|- rs1_val==7378697629483820645 and rs2_val==-6148914691236517206<br>                                                                                                                                                 |[0x80004a78]:mulh<br> [0x80004a7c]:sd<br> |
| 465|[0x80009ea0]<br>0x0000000000000001|- rs1_val==7378697629483820645 and rs2_val==5<br>                                                                                                                                                                    |[0x80004aa4]:mulh<br> [0x80004aa8]:sd<br> |
| 466|[0x80009ea8]<br>0x147ae147ae147ae0|- rs1_val==7378697629483820645 and rs2_val==3689348814741910323<br>                                                                                                                                                  |[0x80004aec]:mulh<br> [0x80004af0]:sd<br> |
| 467|[0x80009eb0]<br>0x28f5c28f5c28f5c1|- rs1_val==7378697629483820645 and rs2_val==7378697629483820646<br>                                                                                                                                                  |[0x80004b34]:mulh<br> [0x80004b38]:sd<br> |
| 468|[0x80009eb8]<br>0xffffffffb7979eb8|- rs1_val==7378697629483820645 and rs2_val==-3037000499<br>                                                                                                                                                          |[0x80004b6c]:mulh<br> [0x80004b70]:sd<br> |
| 469|[0x80009ec0]<br>0x0000000048686147|- rs1_val==7378697629483820645 and rs2_val==3037000499<br>                                                                                                                                                           |[0x80004ba4]:mulh<br> [0x80004ba8]:sd<br> |
| 470|[0x80009ec8]<br>0x0000000000000000|- rs1_val==7378697629483820645 and rs2_val==2<br>                                                                                                                                                                    |[0x80004bd0]:mulh<br> [0x80004bd4]:sd<br> |
| 471|[0x80009ed0]<br>0x2222222222222221|- rs1_val==7378697629483820645 and rs2_val==6148914691236517204<br>                                                                                                                                                  |[0x80004c18]:mulh<br> [0x80004c1c]:sd<br> |
| 472|[0x80009ed8]<br>0x0000000000000000|- rs1_val==7378697629483820645 and rs2_val==0<br>                                                                                                                                                                    |[0x80004c44]:mulh<br> [0x80004c48]:sd<br> |
| 473|[0x80009ee0]<br>0x0000000000000001|- rs1_val==7378697629483820645 and rs2_val==4<br>                                                                                                                                                                    |[0x80004c70]:mulh<br> [0x80004c74]:sd<br> |
| 474|[0x80009ee8]<br>0x147ae147ae147ae0|- rs1_val==7378697629483820645 and rs2_val==3689348814741910322<br>                                                                                                                                                  |[0x80004cb8]:mulh<br> [0x80004cbc]:sd<br> |
| 475|[0x80009ef0]<br>0x28f5c28f5c28f5c1|- rs1_val==7378697629483820645 and rs2_val==7378697629483820645<br>                                                                                                                                                  |[0x80004d00]:mulh<br> [0x80004d04]:sd<br> |
| 476|[0x80009ef8]<br>0x0000000048686147|- rs1_val==7378697629483820645 and rs2_val==3037000498<br>                                                                                                                                                           |[0x80004d38]:mulh<br> [0x80004d3c]:sd<br> |
| 477|[0x80009f00]<br>0x2222222222222221|- rs1_val==7378697629483820645 and rs2_val==6148914691236517206<br>                                                                                                                                                  |[0x80004d80]:mulh<br> [0x80004d84]:sd<br> |
| 478|[0x80009f08]<br>0xddddddddddddddde|- rs1_val==7378697629483820645 and rs2_val==-6148914691236517205<br>                                                                                                                                                 |[0x80004dc8]:mulh<br> [0x80004dcc]:sd<br> |
| 479|[0x80009f10]<br>0x0000000000000002|- rs1_val==7378697629483820645 and rs2_val==6<br>                                                                                                                                                                    |[0x80004df4]:mulh<br> [0x80004df8]:sd<br> |
| 480|[0x80009f18]<br>0x147ae147ae147ae1|- rs1_val==7378697629483820645 and rs2_val==3689348814741910324<br>                                                                                                                                                  |[0x80004e3c]:mulh<br> [0x80004e40]:sd<br> |
| 481|[0x80009f20]<br>0x28f5c28f5c28f5c2|- rs1_val==7378697629483820645 and rs2_val==7378697629483820647<br>                                                                                                                                                  |[0x80004e84]:mulh<br> [0x80004e88]:sd<br> |
| 482|[0x80009f28]<br>0xffffffffb7979eb8|- rs1_val==7378697629483820645 and rs2_val==-3037000498<br>                                                                                                                                                          |[0x80004ebc]:mulh<br> [0x80004ec0]:sd<br> |
| 483|[0x80009f30]<br>0x0000000048686147|- rs1_val==7378697629483820645 and rs2_val==3037000500<br>                                                                                                                                                           |[0x80004ef4]:mulh<br> [0x80004ef8]:sd<br> |
| 484|[0x80009f38]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==3<br>                                                                                                                                                                             |[0x80004f10]:mulh<br> [0x80004f14]:sd<br> |
| 485|[0x80009f40]<br>0x000000003c56fbbb|- rs1_val==3037000498 and rs2_val==6148914691236517205<br>                                                                                                                                                           |[0x80004f48]:mulh<br> [0x80004f4c]:sd<br> |
| 486|[0x80009f48]<br>0xffffffffc3a90444|- rs1_val==3037000498 and rs2_val==-6148914691236517206<br>                                                                                                                                                          |[0x80004f80]:mulh<br> [0x80004f84]:sd<br> |
| 487|[0x80009f50]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==5<br>                                                                                                                                                                             |[0x80004f9c]:mulh<br> [0x80004fa0]:sd<br> |
| 488|[0x80009f58]<br>0x00000000243430a3|- rs1_val==3037000498 and rs2_val==3689348814741910323<br>                                                                                                                                                           |[0x80004fd4]:mulh<br> [0x80004fd8]:sd<br> |
| 489|[0x80009f60]<br>0x0000000048686147|- rs1_val==3037000498 and rs2_val==7378697629483820646<br>                                                                                                                                                           |[0x8000500c]:mulh<br> [0x80005010]:sd<br> |
| 490|[0x80009f68]<br>0xffffffffffffffff|- rs1_val==3037000498 and rs2_val==-3037000499<br>                                                                                                                                                                   |[0x80005034]:mulh<br> [0x80005038]:sd<br> |
| 491|[0x80009f70]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==3037000499<br>                                                                                                                                                                    |[0x8000505c]:mulh<br> [0x80005060]:sd<br> |
| 492|[0x80009f78]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==2<br>                                                                                                                                                                             |[0x80005078]:mulh<br> [0x8000507c]:sd<br> |
| 493|[0x80009f80]<br>0x000000003c56fbbb|- rs1_val==3037000498 and rs2_val==6148914691236517204<br>                                                                                                                                                           |[0x800050b0]:mulh<br> [0x800050b4]:sd<br> |
| 494|[0x80009f88]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==0<br>                                                                                                                                                                             |[0x800050cc]:mulh<br> [0x800050d0]:sd<br> |
| 495|[0x80009f90]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==4<br>                                                                                                                                                                             |[0x800050e8]:mulh<br> [0x800050ec]:sd<br> |
| 496|[0x80009f98]<br>0x00000000243430a3|- rs1_val==3037000498 and rs2_val==3689348814741910322<br>                                                                                                                                                           |[0x80005120]:mulh<br> [0x80005124]:sd<br> |
| 497|[0x80009fa0]<br>0x0000000048686147|- rs1_val==3037000498 and rs2_val==7378697629483820645<br>                                                                                                                                                           |[0x80005158]:mulh<br> [0x8000515c]:sd<br> |
| 498|[0x80009fa8]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==3037000498<br>                                                                                                                                                                    |[0x80005180]:mulh<br> [0x80005184]:sd<br> |
| 499|[0x80009fb0]<br>0x000000003c56fbbb|- rs1_val==3037000498 and rs2_val==6148914691236517206<br>                                                                                                                                                           |[0x800051b8]:mulh<br> [0x800051bc]:sd<br> |
| 500|[0x80009fb8]<br>0xffffffffc3a90444|- rs1_val==3037000498 and rs2_val==-6148914691236517205<br>                                                                                                                                                          |[0x800051f0]:mulh<br> [0x800051f4]:sd<br> |
| 501|[0x80009fc0]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==6<br>                                                                                                                                                                             |[0x8000520c]:mulh<br> [0x80005210]:sd<br> |
| 502|[0x80009fc8]<br>0x00000000243430a3|- rs1_val==3037000498 and rs2_val==3689348814741910324<br>                                                                                                                                                           |[0x80005244]:mulh<br> [0x80005248]:sd<br> |
| 503|[0x80009fd0]<br>0x0000000048686147|- rs1_val==3037000498 and rs2_val==7378697629483820647<br>                                                                                                                                                           |[0x8000527c]:mulh<br> [0x80005280]:sd<br> |
| 504|[0x80009fd8]<br>0xffffffffffffffff|- rs1_val==3037000498 and rs2_val==-3037000498<br>                                                                                                                                                                   |[0x800052a4]:mulh<br> [0x800052a8]:sd<br> |
| 505|[0x80009fe0]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==3037000500<br>                                                                                                                                                                    |[0x800052cc]:mulh<br> [0x800052d0]:sd<br> |
| 506|[0x80009fe8]<br>0x0000000000000001|- rs1_val==6148914691236517206 and rs2_val==3<br>                                                                                                                                                                    |[0x800052f8]:mulh<br> [0x800052fc]:sd<br> |
| 507|[0x80009ff0]<br>0x1c71c71c71c71c71|- rs1_val==6148914691236517206 and rs2_val==6148914691236517205<br>                                                                                                                                                  |[0x80005340]:mulh<br> [0x80005344]:sd<br> |
| 508|[0x80009ff8]<br>0xe38e38e38e38e38d|- rs1_val==6148914691236517206 and rs2_val==-6148914691236517206<br>                                                                                                                                                 |[0x80005388]:mulh<br> [0x8000538c]:sd<br> |
| 509|[0x8000a000]<br>0x0000000000000001|- rs1_val==6148914691236517206 and rs2_val==5<br>                                                                                                                                                                    |[0x800053b4]:mulh<br> [0x800053b8]:sd<br> |
| 510|[0x8000a008]<br>0x1111111111111111|- rs1_val==6148914691236517206 and rs2_val==3689348814741910323<br>                                                                                                                                                  |[0x800053fc]:mulh<br> [0x80005400]:sd<br> |
| 511|[0x8000a010]<br>0x2222222222222222|- rs1_val==6148914691236517206 and rs2_val==7378697629483820646<br>                                                                                                                                                  |[0x80005444]:mulh<br> [0x80005448]:sd<br> |
| 512|[0x8000a018]<br>0xffffffffc3a90444|- rs1_val==6148914691236517206 and rs2_val==-3037000499<br>                                                                                                                                                          |[0x8000547c]:mulh<br> [0x80005480]:sd<br> |
| 513|[0x8000a020]<br>0x000000003c56fbbb|- rs1_val==6148914691236517206 and rs2_val==3037000499<br>                                                                                                                                                           |[0x800054b4]:mulh<br> [0x800054b8]:sd<br> |
| 514|[0x8000a028]<br>0x0000000000000000|- rs1_val==6148914691236517206 and rs2_val==2<br>                                                                                                                                                                    |[0x800054e0]:mulh<br> [0x800054e4]:sd<br> |
| 515|[0x8000a030]<br>0x1c71c71c71c71c71|- rs1_val==6148914691236517206 and rs2_val==6148914691236517204<br>                                                                                                                                                  |[0x80005528]:mulh<br> [0x8000552c]:sd<br> |
| 516|[0x8000a038]<br>0x0000000000000000|- rs1_val==6148914691236517206 and rs2_val==0<br>                                                                                                                                                                    |[0x80005554]:mulh<br> [0x80005558]:sd<br> |
| 517|[0x8000a040]<br>0x0000000000000001|- rs1_val==6148914691236517206 and rs2_val==4<br>                                                                                                                                                                    |[0x80005580]:mulh<br> [0x80005584]:sd<br> |
| 518|[0x8000a048]<br>0x1111111111111110|- rs1_val==6148914691236517206 and rs2_val==3689348814741910322<br>                                                                                                                                                  |[0x800055c8]:mulh<br> [0x800055cc]:sd<br> |
| 519|[0x8000a050]<br>0x2222222222222221|- rs1_val==6148914691236517206 and rs2_val==7378697629483820645<br>                                                                                                                                                  |[0x80005610]:mulh<br> [0x80005614]:sd<br> |
| 520|[0x8000a058]<br>0x000000003c56fbbb|- rs1_val==6148914691236517206 and rs2_val==3037000498<br>                                                                                                                                                           |[0x80005648]:mulh<br> [0x8000564c]:sd<br> |
| 521|[0x8000a060]<br>0x1c71c71c71c71c72|- rs1_val==6148914691236517206 and rs2_val==6148914691236517206<br>                                                                                                                                                  |[0x80005690]:mulh<br> [0x80005694]:sd<br> |
| 522|[0x8000a068]<br>0xe38e38e38e38e38e|- rs1_val==6148914691236517206 and rs2_val==-6148914691236517205<br>                                                                                                                                                 |[0x800056d8]:mulh<br> [0x800056dc]:sd<br> |
| 523|[0x8000a070]<br>0x0000000000000002|- rs1_val==6148914691236517206 and rs2_val==6<br>                                                                                                                                                                    |[0x80005704]:mulh<br> [0x80005708]:sd<br> |
| 524|[0x8000a078]<br>0x1111111111111111|- rs1_val==6148914691236517206 and rs2_val==3689348814741910324<br>                                                                                                                                                  |[0x8000574c]:mulh<br> [0x80005750]:sd<br> |
| 525|[0x8000a080]<br>0x2222222222222222|- rs1_val==6148914691236517206 and rs2_val==7378697629483820647<br>                                                                                                                                                  |[0x80005794]:mulh<br> [0x80005798]:sd<br> |
| 526|[0x8000a088]<br>0xffffffffc3a90444|- rs1_val==6148914691236517206 and rs2_val==-3037000498<br>                                                                                                                                                          |[0x800057cc]:mulh<br> [0x800057d0]:sd<br> |
| 527|[0x8000a090]<br>0x000000003c56fbbc|- rs1_val==6148914691236517206 and rs2_val==3037000500<br>                                                                                                                                                           |[0x80005804]:mulh<br> [0x80005808]:sd<br> |
| 528|[0x8000a098]<br>0xffffffffffffffff|- rs1_val==-6148914691236517205 and rs2_val==3<br>                                                                                                                                                                   |[0x80005830]:mulh<br> [0x80005834]:sd<br> |
| 529|[0x8000a0a0]<br>0xe38e38e38e38e38e|- rs1_val==-6148914691236517205 and rs2_val==6148914691236517205<br>                                                                                                                                                 |[0x80005878]:mulh<br> [0x8000587c]:sd<br> |
| 530|[0x8000a0a8]<br>0x1c71c71c71c71c71|- rs1_val==-6148914691236517205 and rs2_val==-6148914691236517206<br>                                                                                                                                                |[0x800058c0]:mulh<br> [0x800058c4]:sd<br> |
| 531|[0x8000a0b0]<br>0xfffffffffffffffe|- rs1_val==-6148914691236517205 and rs2_val==5<br>                                                                                                                                                                   |[0x800058f4]:mulh<br> [0x800058f8]:sd<br> |
| 532|[0x8000a0b8]<br>0xeeeeeeeeeeeeeeef|- rs1_val==-6148914691236517205 and rs2_val==3689348814741910323<br>                                                                                                                                                 |[0x8000593c]:mulh<br> [0x80005940]:sd<br> |
| 533|[0x8000a0c0]<br>0xddddddddddddddde|- rs1_val==-6148914691236517205 and rs2_val==7378697629483820646<br>                                                                                                                                                 |[0x80005984]:mulh<br> [0x80005988]:sd<br> |
| 534|[0x8000a0c8]<br>0x000000003c56fbbb|- rs1_val==-6148914691236517205 and rs2_val==-3037000499<br>                                                                                                                                                         |[0x800059bc]:mulh<br> [0x800059c0]:sd<br> |
| 535|[0x8000a0d0]<br>0xffffffffc3a90444|- rs1_val==-6148914691236517205 and rs2_val==3037000499<br>                                                                                                                                                          |[0x800059f4]:mulh<br> [0x800059f8]:sd<br> |
| 536|[0x8000a0d8]<br>0xffffffffffffffff|- rs1_val==-6148914691236517205 and rs2_val==2<br>                                                                                                                                                                   |[0x80005a20]:mulh<br> [0x80005a24]:sd<br> |
| 537|[0x8000a0e0]<br>0xe38e38e38e38e38e|- rs1_val==-6148914691236517205 and rs2_val==6148914691236517204<br>                                                                                                                                                 |[0x80005a68]:mulh<br> [0x80005a6c]:sd<br> |
| 538|[0x8000a0e8]<br>0x0000000000000000|- rs1_val==-6148914691236517205 and rs2_val==0<br>                                                                                                                                                                   |[0x80005a94]:mulh<br> [0x80005a98]:sd<br> |
| 539|[0x8000a0f0]<br>0xfffffffffffffffe|- rs1_val==-6148914691236517205 and rs2_val==4<br>                                                                                                                                                                   |[0x80005ac0]:mulh<br> [0x80005ac4]:sd<br> |
| 540|[0x8000a0f8]<br>0xeeeeeeeeeeeeeeef|- rs1_val==-6148914691236517205 and rs2_val==3689348814741910322<br>                                                                                                                                                 |[0x80005b08]:mulh<br> [0x80005b0c]:sd<br> |
| 541|[0x8000a100]<br>0xddddddddddddddde|- rs1_val==-6148914691236517205 and rs2_val==7378697629483820645<br>                                                                                                                                                 |[0x80005b50]:mulh<br> [0x80005b54]:sd<br> |
| 542|[0x8000a108]<br>0xffffffffc3a90444|- rs1_val==-6148914691236517205 and rs2_val==3037000498<br>                                                                                                                                                          |[0x80005b88]:mulh<br> [0x80005b8c]:sd<br> |
| 543|[0x8000a110]<br>0xe38e38e38e38e38e|- rs1_val==-6148914691236517205 and rs2_val==6148914691236517206<br>                                                                                                                                                 |[0x80005bd0]:mulh<br> [0x80005bd4]:sd<br> |
| 544|[0x8000a118]<br>0x1c71c71c71c71c71|- rs1_val==-6148914691236517205 and rs2_val==-6148914691236517205<br>                                                                                                                                                |[0x80005c18]:mulh<br> [0x80005c1c]:sd<br> |
| 545|[0x8000a120]<br>0xfffffffffffffffe|- rs1_val==-6148914691236517205 and rs2_val==6<br>                                                                                                                                                                   |[0x80005c44]:mulh<br> [0x80005c48]:sd<br> |
| 546|[0x8000a128]<br>0xeeeeeeeeeeeeeeee|- rs1_val==-6148914691236517205 and rs2_val==3689348814741910324<br>                                                                                                                                                 |[0x80005c8c]:mulh<br> [0x80005c90]:sd<br> |
| 547|[0x8000a130]<br>0xdddddddddddddddd|- rs1_val==-6148914691236517205 and rs2_val==7378697629483820647<br>                                                                                                                                                 |[0x80005cd4]:mulh<br> [0x80005cd8]:sd<br> |
| 548|[0x8000a138]<br>0x000000003c56fbbb|- rs1_val==-6148914691236517205 and rs2_val==-3037000498<br>                                                                                                                                                         |[0x80005d0c]:mulh<br> [0x80005d10]:sd<br> |
| 549|[0x8000a140]<br>0xffffffffc3a90444|- rs1_val==-6148914691236517205 and rs2_val==3037000500<br>                                                                                                                                                          |[0x80005d44]:mulh<br> [0x80005d48]:sd<br> |
| 550|[0x8000a148]<br>0x0000000000000000|- rs1_val==6 and rs2_val==3<br>                                                                                                                                                                                      |[0x80005d54]:mulh<br> [0x80005d58]:sd<br> |
| 551|[0x8000a150]<br>0x0000000000000001|- rs1_val==6 and rs2_val==6148914691236517205<br>                                                                                                                                                                    |[0x80005d80]:mulh<br> [0x80005d84]:sd<br> |
| 552|[0x8000a158]<br>0xfffffffffffffffd|- rs1_val==6 and rs2_val==-6148914691236517206<br>                                                                                                                                                                   |[0x80005dac]:mulh<br> [0x80005db0]:sd<br> |
| 553|[0x8000a160]<br>0x0000000000000000|- rs1_val==6 and rs2_val==5<br>                                                                                                                                                                                      |[0x80005dbc]:mulh<br> [0x80005dc0]:sd<br> |
| 554|[0x8000a168]<br>0x0000000000000001|- rs1_val==6 and rs2_val==3689348814741910323<br>                                                                                                                                                                    |[0x80005de8]:mulh<br> [0x80005dec]:sd<br> |
| 555|[0x8000a170]<br>0x0000000000000002|- rs1_val==6 and rs2_val==7378697629483820646<br>                                                                                                                                                                    |[0x80005e14]:mulh<br> [0x80005e18]:sd<br> |
| 556|[0x8000a178]<br>0xffffffffffffffff|- rs1_val==6 and rs2_val==-3037000499<br>                                                                                                                                                                            |[0x80005e30]:mulh<br> [0x80005e34]:sd<br> |
| 557|[0x8000a180]<br>0x0000000000000000|- rs1_val==6 and rs2_val==3037000499<br>                                                                                                                                                                             |[0x80005e4c]:mulh<br> [0x80005e50]:sd<br> |
| 558|[0x8000a188]<br>0x0000000000000000|- rs1_val==6 and rs2_val==2<br>                                                                                                                                                                                      |[0x80005e5c]:mulh<br> [0x80005e60]:sd<br> |
| 559|[0x8000a190]<br>0x0000000000000001|- rs1_val==6 and rs2_val==6148914691236517204<br>                                                                                                                                                                    |[0x80005e88]:mulh<br> [0x80005e8c]:sd<br> |
| 560|[0x8000a198]<br>0x0000000000000000|- rs1_val==6 and rs2_val==0<br>                                                                                                                                                                                      |[0x80005e98]:mulh<br> [0x80005e9c]:sd<br> |
| 561|[0x8000a1a0]<br>0x0000000000000000|- rs1_val==6 and rs2_val==4<br>                                                                                                                                                                                      |[0x80005ea8]:mulh<br> [0x80005eac]:sd<br> |
| 562|[0x8000a1a8]<br>0x0000000000000001|- rs1_val==6 and rs2_val==3689348814741910322<br>                                                                                                                                                                    |[0x80005ed4]:mulh<br> [0x80005ed8]:sd<br> |
| 563|[0x8000a1b0]<br>0x0000000000000002|- rs1_val==6 and rs2_val==7378697629483820645<br>                                                                                                                                                                    |[0x80005f00]:mulh<br> [0x80005f04]:sd<br> |
| 564|[0x8000a1b8]<br>0x0000000000000000|- rs1_val==6 and rs2_val==3037000498<br>                                                                                                                                                                             |[0x80005f1c]:mulh<br> [0x80005f20]:sd<br> |
| 565|[0x8000a1c0]<br>0x0000000000000002|- rs1_val==6 and rs2_val==6148914691236517206<br>                                                                                                                                                                    |[0x80005f48]:mulh<br> [0x80005f4c]:sd<br> |
| 566|[0x8000a1c8]<br>0xfffffffffffffffe|- rs1_val==6 and rs2_val==-6148914691236517205<br>                                                                                                                                                                   |[0x80005f74]:mulh<br> [0x80005f78]:sd<br> |
| 567|[0x8000a1d0]<br>0x0000000000000000|- rs1_val==6 and rs2_val==6<br>                                                                                                                                                                                      |[0x80005f84]:mulh<br> [0x80005f88]:sd<br> |
| 568|[0x8000a1d8]<br>0x0000000000000001|- rs1_val==6 and rs2_val==3689348814741910324<br>                                                                                                                                                                    |[0x80005fb0]:mulh<br> [0x80005fb4]:sd<br> |
| 569|[0x8000a1e0]<br>0x0000000000000002|- rs1_val==6 and rs2_val==7378697629483820647<br>                                                                                                                                                                    |[0x80005fdc]:mulh<br> [0x80005fe0]:sd<br> |
| 570|[0x8000a1e8]<br>0xffffffffffffffff|- rs1_val==6 and rs2_val==-3037000498<br>                                                                                                                                                                            |[0x80005ff8]:mulh<br> [0x80005ffc]:sd<br> |
| 571|[0x8000a1f0]<br>0x0000000000000000|- rs1_val==6 and rs2_val==3037000500<br>                                                                                                                                                                             |[0x80006014]:mulh<br> [0x80006018]:sd<br> |
| 572|[0x8000a1f8]<br>0x0000000000000000|- rs1_val==3689348814741910324 and rs2_val==3<br>                                                                                                                                                                    |[0x80006040]:mulh<br> [0x80006044]:sd<br> |
| 573|[0x8000a200]<br>0x1111111111111111|- rs1_val==3689348814741910324 and rs2_val==6148914691236517205<br>                                                                                                                                                  |[0x80006088]:mulh<br> [0x8000608c]:sd<br> |
| 574|[0x8000a208]<br>0xeeeeeeeeeeeeeeee|- rs1_val==3689348814741910324 and rs2_val==-6148914691236517206<br>                                                                                                                                                 |[0x800060d0]:mulh<br> [0x800060d4]:sd<br> |
| 575|[0x8000a210]<br>0x0000000000000001|- rs1_val==3689348814741910324 and rs2_val==5<br>                                                                                                                                                                    |[0x800060fc]:mulh<br> [0x80006100]:sd<br> |
| 576|[0x8000a218]<br>0x0a3d70a3d70a3d70|- rs1_val==3689348814741910324 and rs2_val==3689348814741910323<br>                                                                                                                                                  |[0x80006144]:mulh<br> [0x80006148]:sd<br> |
| 577|[0x8000a220]<br>0x147ae147ae147ae1|- rs1_val==3689348814741910324 and rs2_val==7378697629483820646<br>                                                                                                                                                  |[0x8000618c]:mulh<br> [0x80006190]:sd<br> |
| 578|[0x8000a228]<br>0xffffffffdbcbcf5c|- rs1_val==3689348814741910324 and rs2_val==-3037000499<br>                                                                                                                                                          |[0x800061c4]:mulh<br> [0x800061c8]:sd<br> |
| 579|[0x8000a230]<br>0x00000000243430a3|- rs1_val==3689348814741910324 and rs2_val==3037000499<br>                                                                                                                                                           |[0x800061fc]:mulh<br> [0x80006200]:sd<br> |
| 580|[0x8000a238]<br>0x0000000000000000|- rs1_val==3689348814741910324 and rs2_val==2<br>                                                                                                                                                                    |[0x80006228]:mulh<br> [0x8000622c]:sd<br> |
| 581|[0x8000a240]<br>0x1111111111111111|- rs1_val==3689348814741910324 and rs2_val==6148914691236517204<br>                                                                                                                                                  |[0x80006270]:mulh<br> [0x80006274]:sd<br> |
| 582|[0x8000a248]<br>0x0000000000000000|- rs1_val==3689348814741910324 and rs2_val==0<br>                                                                                                                                                                    |[0x8000629c]:mulh<br> [0x800062a0]:sd<br> |
| 583|[0x8000a250]<br>0x0000000000000000|- rs1_val==3689348814741910324 and rs2_val==4<br>                                                                                                                                                                    |[0x800062c8]:mulh<br> [0x800062cc]:sd<br> |
| 584|[0x8000a258]<br>0x0a3d70a3d70a3d70|- rs1_val==3689348814741910324 and rs2_val==3689348814741910322<br>                                                                                                                                                  |[0x80006310]:mulh<br> [0x80006314]:sd<br> |
| 585|[0x8000a260]<br>0x147ae147ae147ae1|- rs1_val==3689348814741910324 and rs2_val==7378697629483820645<br>                                                                                                                                                  |[0x80006358]:mulh<br> [0x8000635c]:sd<br> |
| 586|[0x8000a268]<br>0x00000000243430a3|- rs1_val==3689348814741910324 and rs2_val==3037000498<br>                                                                                                                                                           |[0x80006390]:mulh<br> [0x80006394]:sd<br> |
| 587|[0x8000a270]<br>0x1111111111111111|- rs1_val==3689348814741910324 and rs2_val==6148914691236517206<br>                                                                                                                                                  |[0x800063d8]:mulh<br> [0x800063dc]:sd<br> |
| 588|[0x8000a278]<br>0xeeeeeeeeeeeeeeee|- rs1_val==3689348814741910324 and rs2_val==-6148914691236517205<br>                                                                                                                                                 |[0x80006420]:mulh<br> [0x80006424]:sd<br> |
| 589|[0x8000a280]<br>0x0000000000000001|- rs1_val==3689348814741910324 and rs2_val==6<br>                                                                                                                                                                    |[0x8000644c]:mulh<br> [0x80006450]:sd<br> |
| 590|[0x8000a288]<br>0x0a3d70a3d70a3d70|- rs1_val==3689348814741910324 and rs2_val==3689348814741910324<br>                                                                                                                                                  |[0x80006494]:mulh<br> [0x80006498]:sd<br> |
| 591|[0x8000a290]<br>0x147ae147ae147ae1|- rs1_val==3689348814741910324 and rs2_val==7378697629483820647<br>                                                                                                                                                  |[0x800064dc]:mulh<br> [0x800064e0]:sd<br> |
| 592|[0x8000a298]<br>0xffffffffdbcbcf5c|- rs1_val==3689348814741910324 and rs2_val==-3037000498<br>                                                                                                                                                          |[0x80006514]:mulh<br> [0x80006518]:sd<br> |
| 593|[0x8000a2a0]<br>0x00000000243430a4|- rs1_val==3689348814741910324 and rs2_val==3037000500<br>                                                                                                                                                           |[0x8000654c]:mulh<br> [0x80006550]:sd<br> |
| 594|[0x8000a2a8]<br>0x0000000000000001|- rs1_val==7378697629483820647 and rs2_val==3<br>                                                                                                                                                                    |[0x80006578]:mulh<br> [0x8000657c]:sd<br> |
| 595|[0x8000a2b0]<br>0x2222222222222222|- rs1_val==7378697629483820647 and rs2_val==6148914691236517205<br>                                                                                                                                                  |[0x800065c0]:mulh<br> [0x800065c4]:sd<br> |
| 596|[0x8000a2b8]<br>0xdddddddddddddddd|- rs1_val==7378697629483820647 and rs2_val==-6148914691236517206<br>                                                                                                                                                 |[0x80006608]:mulh<br> [0x8000660c]:sd<br> |
| 597|[0x8000a2c0]<br>0x0000000000000002|- rs1_val==7378697629483820647 and rs2_val==5<br>                                                                                                                                                                    |[0x80006634]:mulh<br> [0x80006638]:sd<br> |
| 598|[0x8000a2c8]<br>0x147ae147ae147ae1|- rs1_val==7378697629483820647 and rs2_val==3689348814741910323<br>                                                                                                                                                  |[0x8000667c]:mulh<br> [0x80006680]:sd<br> |
| 599|[0x8000a2d0]<br>0x28f5c28f5c28f5c2|- rs1_val==7378697629483820647 and rs2_val==7378697629483820646<br>                                                                                                                                                  |[0x800066c4]:mulh<br> [0x800066c8]:sd<br> |
| 600|[0x8000a2d8]<br>0xffffffffb7979eb8|- rs1_val==7378697629483820647 and rs2_val==-3037000499<br>                                                                                                                                                          |[0x800066fc]:mulh<br> [0x80006700]:sd<br> |
| 601|[0x8000a2e0]<br>0x0000000048686147|- rs1_val==7378697629483820647 and rs2_val==3037000499<br>                                                                                                                                                           |[0x80006734]:mulh<br> [0x80006738]:sd<br> |
| 602|[0x8000a2e8]<br>0x0000000000000000|- rs1_val==7378697629483820647 and rs2_val==2<br>                                                                                                                                                                    |[0x80006760]:mulh<br> [0x80006764]:sd<br> |
| 603|[0x8000a2f0]<br>0x2222222222222221|- rs1_val==7378697629483820647 and rs2_val==6148914691236517204<br>                                                                                                                                                  |[0x800067a8]:mulh<br> [0x800067ac]:sd<br> |
| 604|[0x8000a2f8]<br>0x0000000000000000|- rs1_val==7378697629483820647 and rs2_val==0<br>                                                                                                                                                                    |[0x800067d4]:mulh<br> [0x800067d8]:sd<br> |
| 605|[0x8000a300]<br>0x0000000000000001|- rs1_val==7378697629483820647 and rs2_val==4<br>                                                                                                                                                                    |[0x80006800]:mulh<br> [0x80006804]:sd<br> |
| 606|[0x8000a308]<br>0x147ae147ae147ae0|- rs1_val==7378697629483820647 and rs2_val==3689348814741910322<br>                                                                                                                                                  |[0x80006848]:mulh<br> [0x8000684c]:sd<br> |
| 607|[0x8000a310]<br>0x28f5c28f5c28f5c2|- rs1_val==7378697629483820647 and rs2_val==7378697629483820645<br>                                                                                                                                                  |[0x80006890]:mulh<br> [0x80006894]:sd<br> |
| 608|[0x8000a318]<br>0x0000000048686147|- rs1_val==7378697629483820647 and rs2_val==3037000498<br>                                                                                                                                                           |[0x800068c8]:mulh<br> [0x800068cc]:sd<br> |
| 609|[0x8000a320]<br>0x2222222222222222|- rs1_val==7378697629483820647 and rs2_val==6148914691236517206<br>                                                                                                                                                  |[0x80006910]:mulh<br> [0x80006914]:sd<br> |
| 610|[0x8000a328]<br>0xdddddddddddddddd|- rs1_val==7378697629483820647 and rs2_val==-6148914691236517205<br>                                                                                                                                                 |[0x80006958]:mulh<br> [0x8000695c]:sd<br> |
| 611|[0x8000a330]<br>0x0000000000000002|- rs1_val==7378697629483820647 and rs2_val==6<br>                                                                                                                                                                    |[0x80006984]:mulh<br> [0x80006988]:sd<br> |
| 612|[0x8000a338]<br>0x147ae147ae147ae1|- rs1_val==7378697629483820647 and rs2_val==3689348814741910324<br>                                                                                                                                                  |[0x800069cc]:mulh<br> [0x800069d0]:sd<br> |
| 613|[0x8000a340]<br>0x28f5c28f5c28f5c3|- rs1_val==7378697629483820647 and rs2_val==7378697629483820647<br>                                                                                                                                                  |[0x80006a14]:mulh<br> [0x80006a18]:sd<br> |
| 614|[0x8000a348]<br>0xffffffffb7979eb8|- rs1_val==7378697629483820647 and rs2_val==-3037000498<br>                                                                                                                                                          |[0x80006a4c]:mulh<br> [0x80006a50]:sd<br> |
| 615|[0x8000a350]<br>0x0000000048686148|- rs1_val==7378697629483820647 and rs2_val==3037000500<br>                                                                                                                                                           |[0x80006a84]:mulh<br> [0x80006a88]:sd<br> |
| 616|[0x8000a358]<br>0xffffffffffffffff|- rs1_val==-3037000498 and rs2_val==3<br>                                                                                                                                                                            |[0x80006aa0]:mulh<br> [0x80006aa4]:sd<br> |
| 617|[0x8000a360]<br>0x000000003c56fbbb|- rs1_val==-3037000498 and rs2_val==-6148914691236517206<br>                                                                                                                                                         |[0x80006ad8]:mulh<br> [0x80006adc]:sd<br> |
| 618|[0x8000a368]<br>0xffffffffffffffff|- rs1_val==-3037000498 and rs2_val==5<br>                                                                                                                                                                            |[0x80006af4]:mulh<br> [0x80006af8]:sd<br> |
| 619|[0x8000a370]<br>0xffffffffdbcbcf5c|- rs1_val==-3037000498 and rs2_val==3689348814741910323<br>                                                                                                                                                          |[0x80006b2c]:mulh<br> [0x80006b30]:sd<br> |
| 620|[0x8000a378]<br>0xffffffffb7979eb8|- rs1_val==-3037000498 and rs2_val==7378697629483820646<br>                                                                                                                                                          |[0x80006b64]:mulh<br> [0x80006b68]:sd<br> |
| 621|[0x8000a380]<br>0x0000000000000000|- rs1_val==-3037000498 and rs2_val==-3037000499<br>                                                                                                                                                                  |[0x80006b8c]:mulh<br> [0x80006b90]:sd<br> |
| 622|[0x8000a388]<br>0xffffffffffffffff|- rs1_val==-3037000498 and rs2_val==3037000499<br>                                                                                                                                                                   |[0x80006bb4]:mulh<br> [0x80006bb8]:sd<br> |
| 623|[0x8000a390]<br>0xffffffffffffffff|- rs1_val==-3037000498 and rs2_val==2<br>                                                                                                                                                                            |[0x80006bd0]:mulh<br> [0x80006bd4]:sd<br> |
| 624|[0x8000a398]<br>0xffffffffc3a90444|- rs1_val==-3037000498 and rs2_val==6148914691236517204<br>                                                                                                                                                          |[0x80006c08]:mulh<br> [0x80006c0c]:sd<br> |
| 625|[0x8000a3a0]<br>0x0000000000000000|- rs1_val==-3037000498 and rs2_val==0<br>                                                                                                                                                                            |[0x80006c24]:mulh<br> [0x80006c28]:sd<br> |
| 626|[0x8000a3a8]<br>0xffffffffffffffff|- rs1_val==-3037000498 and rs2_val==4<br>                                                                                                                                                                            |[0x80006c40]:mulh<br> [0x80006c44]:sd<br> |
| 627|[0x8000a3b0]<br>0xffffffffdbcbcf5c|- rs1_val==-3037000498 and rs2_val==3689348814741910322<br>                                                                                                                                                          |[0x80006c78]:mulh<br> [0x80006c7c]:sd<br> |
| 628|[0x8000a3b8]<br>0xffffffffb7979eb8|- rs1_val==-3037000498 and rs2_val==7378697629483820645<br>                                                                                                                                                          |[0x80006cb0]:mulh<br> [0x80006cb4]:sd<br> |
| 629|[0x8000a3c0]<br>0xffffffffffffffff|- rs1_val==-3037000498 and rs2_val==3037000498<br>                                                                                                                                                                   |[0x80006cd8]:mulh<br> [0x80006cdc]:sd<br> |
| 630|[0x8000a3c8]<br>0xffffffffc3a90444|- rs1_val==-3037000498 and rs2_val==6148914691236517206<br>                                                                                                                                                          |[0x80006d10]:mulh<br> [0x80006d14]:sd<br> |
| 631|[0x8000a3d0]<br>0x000000003c56fbbb|- rs1_val==-3037000498 and rs2_val==-6148914691236517205<br>                                                                                                                                                         |[0x80006d48]:mulh<br> [0x80006d4c]:sd<br> |
| 632|[0x8000a3d8]<br>0xffffffffffffffff|- rs1_val==-3037000498 and rs2_val==6<br>                                                                                                                                                                            |[0x80006d64]:mulh<br> [0x80006d68]:sd<br> |
| 633|[0x8000a3e0]<br>0xffffffffdbcbcf5c|- rs1_val==-3037000498 and rs2_val==3689348814741910324<br>                                                                                                                                                          |[0x80006d9c]:mulh<br> [0x80006da0]:sd<br> |
| 634|[0x8000a3e8]<br>0xffffffffb7979eb8|- rs1_val==-3037000498 and rs2_val==7378697629483820647<br>                                                                                                                                                          |[0x80006dd4]:mulh<br> [0x80006dd8]:sd<br> |
| 635|[0x8000a3f0]<br>0x0000000000000000|- rs1_val==-3037000498 and rs2_val==-3037000498<br>                                                                                                                                                                  |[0x80006dfc]:mulh<br> [0x80006e00]:sd<br> |
| 636|[0x8000a3f8]<br>0xffffffffffffffff|- rs1_val==-3037000498 and rs2_val==3037000500<br>                                                                                                                                                                   |[0x80006e24]:mulh<br> [0x80006e28]:sd<br> |
| 637|[0x8000a400]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==3<br>                                                                                                                                                                             |[0x80006e40]:mulh<br> [0x80006e44]:sd<br> |
| 638|[0x8000a408]<br>0x000000003c56fbbb|- rs1_val==3037000500 and rs2_val==6148914691236517205<br>                                                                                                                                                           |[0x80006e78]:mulh<br> [0x80006e7c]:sd<br> |
| 639|[0x8000a410]<br>0xffffffffc3a90443|- rs1_val==3037000500 and rs2_val==-6148914691236517206<br>                                                                                                                                                          |[0x80006eb0]:mulh<br> [0x80006eb4]:sd<br> |
| 640|[0x8000a418]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==5<br>                                                                                                                                                                             |[0x80006ecc]:mulh<br> [0x80006ed0]:sd<br> |
| 641|[0x8000a420]<br>0x00000000243430a3|- rs1_val==3037000500 and rs2_val==3689348814741910323<br>                                                                                                                                                           |[0x80006f04]:mulh<br> [0x80006f08]:sd<br> |
| 642|[0x8000a428]<br>0x0000000048686147|- rs1_val==3037000500 and rs2_val==7378697629483820646<br>                                                                                                                                                           |[0x80006f3c]:mulh<br> [0x80006f40]:sd<br> |
| 643|[0x8000a430]<br>0xffffffffffffffff|- rs1_val==3037000500 and rs2_val==-3037000499<br>                                                                                                                                                                   |[0x80006f64]:mulh<br> [0x80006f68]:sd<br> |
| 644|[0x8000a438]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==3037000499<br>                                                                                                                                                                    |[0x80006f8c]:mulh<br> [0x80006f90]:sd<br> |
| 645|[0x8000a440]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==2<br>                                                                                                                                                                             |[0x80006fa8]:mulh<br> [0x80006fac]:sd<br> |
| 646|[0x8000a448]<br>0x000000003c56fbbb|- rs1_val==3037000500 and rs2_val==6148914691236517204<br>                                                                                                                                                           |[0x80006fe0]:mulh<br> [0x80006fe4]:sd<br> |
| 647|[0x8000a450]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==0<br>                                                                                                                                                                             |[0x80006ffc]:mulh<br> [0x80007000]:sd<br> |
| 648|[0x8000a458]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==4<br>                                                                                                                                                                             |[0x80007018]:mulh<br> [0x8000701c]:sd<br> |
| 649|[0x8000a460]<br>0x00000000243430a3|- rs1_val==3037000500 and rs2_val==3689348814741910322<br>                                                                                                                                                           |[0x80007050]:mulh<br> [0x80007054]:sd<br> |
| 650|[0x8000a468]<br>0x0000000048686147|- rs1_val==3037000500 and rs2_val==7378697629483820645<br>                                                                                                                                                           |[0x80007088]:mulh<br> [0x8000708c]:sd<br> |
| 651|[0x8000a470]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==3037000498<br>                                                                                                                                                                    |[0x800070b0]:mulh<br> [0x800070b4]:sd<br> |
| 652|[0x8000a478]<br>0x000000003c56fbbc|- rs1_val==3037000500 and rs2_val==6148914691236517206<br>                                                                                                                                                           |[0x800070e8]:mulh<br> [0x800070ec]:sd<br> |
| 653|[0x8000a480]<br>0xffffffffc3a90444|- rs1_val==3037000500 and rs2_val==-6148914691236517205<br>                                                                                                                                                          |[0x80007120]:mulh<br> [0x80007124]:sd<br> |
| 654|[0x8000a488]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==6<br>                                                                                                                                                                             |[0x8000713c]:mulh<br> [0x80007140]:sd<br> |
| 655|[0x8000a490]<br>0x00000000243430a4|- rs1_val==3037000500 and rs2_val==3689348814741910324<br>                                                                                                                                                           |[0x80007174]:mulh<br> [0x80007178]:sd<br> |
| 656|[0x8000a498]<br>0x0000000048686148|- rs1_val==3037000500 and rs2_val==7378697629483820647<br>                                                                                                                                                           |[0x800071ac]:mulh<br> [0x800071b0]:sd<br> |
| 657|[0x8000a4a0]<br>0xffffffffffffffff|- rs1_val==3037000500 and rs2_val==-3037000498<br>                                                                                                                                                                   |[0x800071d4]:mulh<br> [0x800071d8]:sd<br> |
| 658|[0x8000a4a8]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==3037000500<br>                                                                                                                                                                    |[0x800071fc]:mulh<br> [0x80007200]:sd<br> |
| 659|[0x8000a4b0]<br>0x0000000000000000|- rs1_val==0 and rs2_val==2<br>                                                                                                                                                                                      |[0x8000720c]:mulh<br> [0x80007210]:sd<br> |
| 660|[0x8000a4b8]<br>0x0000000000000000|- rs1_val==0 and rs2_val==6148914691236517204<br>                                                                                                                                                                    |[0x80007238]:mulh<br> [0x8000723c]:sd<br> |
| 661|[0x8000a4c0]<br>0x0000000000000000|- rs1_val==0 and rs2_val==0<br>                                                                                                                                                                                      |[0x80007248]:mulh<br> [0x8000724c]:sd<br> |
| 662|[0x8000a4c8]<br>0x0000000000000000|- rs1_val==0 and rs2_val==4<br>                                                                                                                                                                                      |[0x80007258]:mulh<br> [0x8000725c]:sd<br> |
| 663|[0x8000a4d0]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3689348814741910322<br>                                                                                                                                                                    |[0x80007284]:mulh<br> [0x80007288]:sd<br> |
| 664|[0x8000a4d8]<br>0x0000000000000000|- rs1_val==0 and rs2_val==7378697629483820645<br>                                                                                                                                                                    |[0x800072b0]:mulh<br> [0x800072b4]:sd<br> |
| 665|[0x8000a4e0]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3037000498<br>                                                                                                                                                                             |[0x800072cc]:mulh<br> [0x800072d0]:sd<br> |
| 666|[0x8000a4e8]<br>0x0000000000000000|- rs1_val==0 and rs2_val==6148914691236517206<br>                                                                                                                                                                    |[0x800072f8]:mulh<br> [0x800072fc]:sd<br> |
| 667|[0x8000a4f0]<br>0x0000000000000000|- rs1_val==0 and rs2_val==-6148914691236517205<br>                                                                                                                                                                   |[0x80007324]:mulh<br> [0x80007328]:sd<br> |
| 668|[0x8000a4f8]<br>0x0000000000000000|- rs1_val==0 and rs2_val==6<br>                                                                                                                                                                                      |[0x80007334]:mulh<br> [0x80007338]:sd<br> |
| 669|[0x8000a500]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3689348814741910324<br>                                                                                                                                                                    |[0x80007360]:mulh<br> [0x80007364]:sd<br> |
| 670|[0x8000a508]<br>0x0000000000000000|- rs1_val==0 and rs2_val==7378697629483820647<br>                                                                                                                                                                    |[0x8000738c]:mulh<br> [0x80007390]:sd<br> |
| 671|[0x8000a518]<br>0xffffffffffffffff|- rs2_val == -17179869185<br>                                                                                                                                                                                        |[0x800073b8]:mulh<br> [0x800073bc]:sd<br> |
| 672|[0x8000a520]<br>0xffffffffc3a90444|- rs1_val==-3037000498 and rs2_val==6148914691236517205<br>                                                                                                                                                          |[0x800073f0]:mulh<br> [0x800073f4]:sd<br> |
| 673|[0x8000a528]<br>0xffffffffffffffff|- rs2_val == 256<br>                                                                                                                                                                                                 |[0x80007404]:mulh<br> [0x80007408]:sd<br> |
